Package org.eclipse.emf.cdo.lm

# Interface LMPackage

All Superinterfaces:
  `EModelElement`, `ENamedElement`, `EObject`, `EPackage`, `Notifier`

All Known Implementing Classes:
  `LMPackageImpl`

public interface LMPackage extends EPackage
The Package for the model. It contains accessors for the meta objects to represent

- each class,
- each feature of each class,
- each enum,
- and each data type

See Also:
  - `LMFactory`
Generated
Model
  kind="package"
No Implement
  This interface is not intended to be implemented by clients.
No Extend
  This interface is not intended to be extended by clients.

## Nested Class Summary

Nested Classes
Modifier and Type
Interface
Description
`static interface`
`LMPackage.Literals`
Defines literals for the meta objects that represent each class, each feature of each class, each enum, and each data type

## Nested classes/interfaces inherited from interface org.eclipse.emf.ecore.EPackage

`EPackage.Descriptor, EPackage.Registry`

## Field Summary

Fields
Modifier and Type
Field
Description
`static final String`
`ANNOTATION_DETAIL_BASELINE_ID`
`static final String`
`ANNOTATION_DETAIL_BASELINE_NAME`
`static final String`
`ANNOTATION_DETAIL_BASELINE_TYPE`
`static final String`
`ANNOTATION_SOURCE`
`static final int`
`BASE_POINT`
The meta object id for the 'Base Point' data type.
`static final int`
`BASELINE`
The meta object id for the '`Baseline`' class.
`static final int`
`BASELINE___GET_ANNOTATION__STRING`
The operation id for the 'Get Annotation' operation.
`static final int`
`BASELINE___GET_BASE_TIME_STAMP`
The operation id for the 'Get Base Time Stamp' operation.
`static final int`
`BASELINE___GET_BRANCH_POINT`
The operation id for the 'Get Branch Point' operation.
`static final int`
`BASELINE___GET_MODULE`
The operation id for the 'Get Module' operation.
`static final int`
`BASELINE___GET_NAME`
The operation id for the 'Get Name' operation.
`static final int`
`BASELINE___GET_STREAM`
The operation id for the 'Get Stream' operation.
`static final int`
`BASELINE___GET_SYSTEM`
The operation id for the 'Get System' operation.
`static final int`
`BASELINE__ANNOTATIONS`
The feature id for the 'Annotations' containment reference list.
`static final int`
`BASELINE__FLOATING`
The feature id for the 'Floating' attribute.
`static final int`
`BASELINE__STREAM`
The feature id for the 'Stream' container reference.
`static final int`
`BASELINE_FEATURE_COUNT`
The number of structural features of the 'Baseline' class.
`static final int`
`BASELINE_OPERATION_COUNT`
The number of operations of the 'Baseline' class.
`static final int`
`CHANGE`
The meta object id for the '`Change`' class.
`static final int`
`CHANGE___GET_ANNOTATION__STRING`
The operation id for the 'Get Annotation' operation.
`static final int`
`CHANGE___GET_BASE`
The operation id for the 'Get Base' operation.
`static final int`
`CHANGE___GET_BASE_TIME_STAMP`
The operation id for the 'Get Base Time Stamp' operation.
`static final int`
`CHANGE___GET_BRANCH`
The operation id for the 'Get Branch' operation.
`static final int`
`CHANGE___GET_BRANCH_POINT`
The operation id for the 'Get Branch Point' operation.
`static final int`
`CHANGE___GET_DELIVERIES`
The operation id for the 'Get Deliveries' operation.
`static final int`
`CHANGE___GET_MODULE`
The operation id for the 'Get Module' operation.
`static final int`
`CHANGE___GET_NAME`
The operation id for the 'Get Name' operation.
`static final int`
`CHANGE___GET_STREAM`
The operation id for the 'Get Stream' operation.
`static final int`
`CHANGE___GET_SYSTEM`
The operation id for the 'Get System' operation.
`static final int`
`CHANGE__ANNOTATIONS`
The feature id for the 'Annotations' containment reference list.
`static final int`
`CHANGE__BASE`
The feature id for the 'Base' reference.
`static final int`
`CHANGE__BRANCH`
The feature id for the 'Branch' attribute.
`static final int`
`CHANGE__CLOSED`
The feature id for the 'Closed' attribute.
`static final int`
`CHANGE__DELIVERIES`
The feature id for the 'Deliveries' reference list.
`static final int`
`CHANGE__FLOATING`
The feature id for the 'Floating' attribute.
`static final int`
`CHANGE__IMPACT`
The feature id for the 'Impact' attribute.
`static final int`
`CHANGE__LABEL`
The feature id for the 'Label' attribute.
`static final int`
`CHANGE__STREAM`
The feature id for the 'Stream' container reference.
`static final int`
`CHANGE_FEATURE_COUNT`
The number of structural features of the 'Change' class.
`static final int`
`CHANGE_OPERATION_COUNT`
The number of operations of the 'Change' class.
`static final int`
`DELIVERY`
The meta object id for the '`Delivery`' class.
`static final int`
`DELIVERY___GET_ANNOTATION__STRING`
The operation id for the 'Get Annotation' operation.
`static final int`
`DELIVERY___GET_BASE_TIME_STAMP`
The operation id for the 'Get Base Time Stamp' operation.
`static final int`
`DELIVERY___GET_BASED_CHANGES`
The operation id for the 'Get Based Changes' operation.
`static final int`
`DELIVERY___GET_BRANCH_POINT`
The operation id for the 'Get Branch Point' operation.
`static final int`
`DELIVERY___GET_MODULE`
The operation id for the 'Get Module' operation.
`static final int`
`DELIVERY___GET_NAME`
The operation id for the 'Get Name' operation.
`static final int`
`DELIVERY___GET_STREAM`
The operation id for the 'Get Stream' operation.
`static final int`
`DELIVERY___GET_SYSTEM`
The operation id for the 'Get System' operation.
`static final int`
`DELIVERY__ANNOTATIONS`
The feature id for the 'Annotations' containment reference list.
`static final int`
`DELIVERY__CHANGE`
The feature id for the 'Change' reference.
`static final int`
`DELIVERY__DEPENDENCIES`
The feature id for the 'Dependencies' containment reference list.
`static final int`
`DELIVERY__FLOATING`
The feature id for the 'Floating' attribute.
`static final int`
`DELIVERY__MERGE_SOURCE`
The feature id for the 'Merge Source' attribute.
`static final int`
`DELIVERY__MERGE_TARGET`
The feature id for the 'Merge Target' attribute.
`static final int`
`DELIVERY__STREAM`
The feature id for the 'Stream' container reference.
`static final int`
`DELIVERY__VERSION`
The feature id for the 'Version' attribute.
`static final int`
`DELIVERY_FEATURE_COUNT`
The number of structural features of the 'Delivery' class.
`static final int`
`DELIVERY_OPERATION_COUNT`
The number of operations of the 'Delivery' class.
`static final int`
`DEPENDENCY`
The meta object id for the '`Dependency`' class.
`static final int`
`DEPENDENCY___GET_ANNOTATION__STRING`
The operation id for the 'Get Annotation' operation.
`static final int`
`DEPENDENCY___GET_MODULE`
The operation id for the 'Get Module' operation.
`static final int`
`DEPENDENCY___GET_STREAM`
The operation id for the 'Get Stream' operation.
`static final int`
`DEPENDENCY___GET_SYSTEM`
The operation id for the 'Get System' operation.
`static final int`
`DEPENDENCY__ANNOTATIONS`
The feature id for the 'Annotations' containment reference list.
`static final int`
`DEPENDENCY__TARGET`
The feature id for the 'Target' reference.
`static final int`
`DEPENDENCY__VERSION_RANGE`
The feature id for the 'Version Range' attribute.
`static final int`
`DEPENDENCY_FEATURE_COUNT`
The number of structural features of the 'Dependency' class.
`static final int`
`DEPENDENCY_OPERATION_COUNT`
The number of operations of the 'Dependency' class.
`static final int`
`DROP`
The meta object id for the '`Drop`' class.
`static final int`
`DROP___GET_ANNOTATION__STRING`
The operation id for the 'Get Annotation' operation.
`static final int`
`DROP___GET_BASE_TIME_STAMP`
The operation id for the 'Get Base Time Stamp' operation.
`static final int`
`DROP___GET_BASED_CHANGES`
The operation id for the 'Get Based Changes' operation.
`static final int`
`DROP___GET_BASED_STREAMS`
The operation id for the 'Get Based Streams' operation.
`static final int`
`DROP___GET_BRANCH_POINT`
The operation id for the 'Get Branch Point' operation.
`static final int`
`DROP___GET_MODULE`
The operation id for the 'Get Module' operation.
`static final int`
`DROP___GET_NAME`
The operation id for the 'Get Name' operation.
`static final int`
`DROP___GET_STREAM`
The operation id for the 'Get Stream' operation.
`static final int`
`DROP___GET_SYSTEM`
The operation id for the 'Get System' operation.
`static final int`
`DROP___IS_RELEASE`
The operation id for the 'Is Release' operation.
`static final int`
`DROP__ANNOTATIONS`
The feature id for the 'Annotations' containment reference list.
`static final int`
`DROP__BRANCH_POINT`
The feature id for the 'Branch Point' attribute.
`static final int`
`DROP__DEPENDENCIES`
The feature id for the 'Dependencies' containment reference list.
`static final int`
`DROP__FLOATING`
The feature id for the 'Floating' attribute.
`static final int`
`DROP__LABEL`
The feature id for the 'Label' attribute.
`static final int`
`DROP__STREAM`
The feature id for the 'Stream' container reference.
`static final int`
`DROP__TYPE`
The feature id for the 'Type' reference.
`static final int`
`DROP__VERSION`
The feature id for the 'Version' attribute.
`static final int`
`DROP_FEATURE_COUNT`
The number of structural features of the 'Drop' class.
`static final int`
`DROP_OPERATION_COUNT`
The number of operations of the 'Drop' class.
`static final int`
`DROP_TYPE`
The meta object id for the '`Drop Type`' class.
`static final int`
`DROP_TYPE___GET_ANNOTATION__STRING`
The operation id for the 'Get Annotation' operation.
`static final int`
`DROP_TYPE___GET_PROCESS`
The operation id for the 'Get Process' operation.
`static final int`
`DROP_TYPE___GET_SYSTEM`
The operation id for the 'Get System' operation.
`static final int`
`DROP_TYPE__ANNOTATIONS`
The feature id for the 'Annotations' containment reference list.
`static final int`
`DROP_TYPE__NAME`
The feature id for the 'Name' attribute.
`static final int`
`DROP_TYPE__PROCESS`
The feature id for the 'Process' container reference.
`static final int`
`DROP_TYPE__RELEASE`
The feature id for the 'Release' attribute.
`static final int`
`DROP_TYPE_FEATURE_COUNT`
The number of structural features of the 'Drop Type' class.
`static final int`
`DROP_TYPE_OPERATION_COUNT`
The number of operations of the 'Drop Type' class.
`static final LMPackage`
`eINSTANCE`
The singleton instance of the package.
`static final String`
`eNAME`
The package name.
`static final String`
`eNS_PREFIX`
The package namespace name.
`static final String`
`eNS_URI`
The package namespace URI.
`static final int`
`FIXED_BASELINE`
The meta object id for the '`Fixed Baseline`' class.
`static final int`
`FIXED_BASELINE___GET_ANNOTATION__STRING`
The operation id for the 'Get Annotation' operation.
`static final int`
`FIXED_BASELINE___GET_BASE_TIME_STAMP`
The operation id for the 'Get Base Time Stamp' operation.
`static final int`
`FIXED_BASELINE___GET_BASED_CHANGES`
The operation id for the 'Get Based Changes' operation.
`static final int`
`FIXED_BASELINE___GET_BRANCH_POINT`
The operation id for the 'Get Branch Point' operation.
`static final int`
`FIXED_BASELINE___GET_MODULE`
The operation id for the 'Get Module' operation.
`static final int`
`FIXED_BASELINE___GET_NAME`
The operation id for the 'Get Name' operation.
`static final int`
`FIXED_BASELINE___GET_STREAM`
The operation id for the 'Get Stream' operation.
`static final int`
`FIXED_BASELINE___GET_SYSTEM`
The operation id for the 'Get System' operation.
`static final int`
`FIXED_BASELINE__ANNOTATIONS`
The feature id for the 'Annotations' containment reference list.
`static final int`
`FIXED_BASELINE__DEPENDENCIES`
The feature id for the 'Dependencies' containment reference list.
`static final int`
`FIXED_BASELINE__FLOATING`
The feature id for the 'Floating' attribute.
`static final int`
`FIXED_BASELINE__STREAM`
The feature id for the 'Stream' container reference.
`static final int`
`FIXED_BASELINE__VERSION`
The feature id for the 'Version' attribute.
`static final int`
`FIXED_BASELINE_FEATURE_COUNT`
The number of structural features of the 'Fixed Baseline' class.
`static final int`
`FIXED_BASELINE_OPERATION_COUNT`
The number of operations of the 'Fixed Baseline' class.
`static final int`
`FLOATING_BASELINE`
The meta object id for the '`Floating Baseline`' class.
`static final int`
`FLOATING_BASELINE___GET_ANNOTATION__STRING`
The operation id for the 'Get Annotation' operation.
`static final int`
`FLOATING_BASELINE___GET_BASE`
The operation id for the 'Get Base' operation.
`static final int`
`FLOATING_BASELINE___GET_BASE_TIME_STAMP`
The operation id for the 'Get Base Time Stamp' operation.
`static final int`
`FLOATING_BASELINE___GET_BRANCH`
The operation id for the 'Get Branch' operation.
`static final int`
`FLOATING_BASELINE___GET_BRANCH_POINT`
The operation id for the 'Get Branch Point' operation.
`static final int`
`FLOATING_BASELINE___GET_DELIVERIES`
The operation id for the 'Get Deliveries' operation.
`static final int`
`FLOATING_BASELINE___GET_MODULE`
The operation id for the 'Get Module' operation.
`static final int`
`FLOATING_BASELINE___GET_NAME`
The operation id for the 'Get Name' operation.
`static final int`
`FLOATING_BASELINE___GET_STREAM`
The operation id for the 'Get Stream' operation.
`static final int`
`FLOATING_BASELINE___GET_SYSTEM`
The operation id for the 'Get System' operation.
`static final int`
`FLOATING_BASELINE__ANNOTATIONS`
The feature id for the 'Annotations' containment reference list.
`static final int`
`FLOATING_BASELINE__CLOSED`
The feature id for the 'Closed' attribute.
`static final int`
`FLOATING_BASELINE__FLOATING`
The feature id for the 'Floating' attribute.
`static final int`
`FLOATING_BASELINE__STREAM`
The feature id for the 'Stream' container reference.
`static final int`
`FLOATING_BASELINE_FEATURE_COUNT`
The number of structural features of the 'Floating Baseline' class.
`static final int`
`FLOATING_BASELINE_OPERATION_COUNT`
The number of operations of the 'Floating Baseline' class.
`static final int`
`IMPACT`
The meta object id for the '`Impact`' enum.
`static final int`
`MODULE`
The meta object id for the '`Module`' class.
`static final int`
`MODULE___GET_ANNOTATION__STRING`
The operation id for the 'Get Annotation' operation.
`static final int`
`MODULE___GET_SYSTEM`
The operation id for the 'Get System' operation.
`static final int`
`MODULE__ANNOTATIONS`
The feature id for the 'Annotations' containment reference list.
`static final int`
`MODULE__NAME`
The feature id for the 'Name' attribute.
`static final int`
`MODULE__STREAMS`
The feature id for the 'Streams' containment reference list.
`static final int`
`MODULE__SYSTEM`
The feature id for the 'System' container reference.
`static final int`
`MODULE__TYPE`
The feature id for the 'Type' reference.
`static final int`
`MODULE_ELEMENT`
The meta object id for the '`Module Element`' class.
`static final int`
`MODULE_ELEMENT___GET_ANNOTATION__STRING`
The operation id for the 'Get Annotation' operation.
`static final int`
`MODULE_ELEMENT___GET_MODULE`
The operation id for the 'Get Module' operation.
`static final int`
`MODULE_ELEMENT___GET_SYSTEM`
The operation id for the 'Get System' operation.
`static final int`
`MODULE_ELEMENT__ANNOTATIONS`
The feature id for the 'Annotations' containment reference list.
`static final int`
`MODULE_ELEMENT_FEATURE_COUNT`
The number of structural features of the 'Module Element' class.
`static final int`
`MODULE_ELEMENT_OPERATION_COUNT`
The number of operations of the 'Module Element' class.
`static final int`
`MODULE_FEATURE_COUNT`
The number of structural features of the 'Module' class.
`static final int`
`MODULE_OPERATION_COUNT`
The number of operations of the 'Module' class.
`static final int`
`MODULE_TYPE`
The meta object id for the '`Module Type`' class.
`static final int`
`MODULE_TYPE___GET_ANNOTATION__STRING`
The operation id for the 'Get Annotation' operation.
`static final int`
`MODULE_TYPE___GET_PROCESS`
The operation id for the 'Get Process' operation.
`static final int`
`MODULE_TYPE___GET_SYSTEM`
The operation id for the 'Get System' operation.
`static final int`
`MODULE_TYPE__ANNOTATIONS`
The feature id for the 'Annotations' containment reference list.
`static final int`
`MODULE_TYPE__NAME`
The feature id for the 'Name' attribute.
`static final int`
`MODULE_TYPE__PROCESS`
The feature id for the 'Process' container reference.
`static final int`
`MODULE_TYPE_FEATURE_COUNT`
The number of structural features of the 'Module Type' class.
`static final int`
`MODULE_TYPE_OPERATION_COUNT`
The number of operations of the 'Module Type' class.
`static final int`
`PROCESS`
The meta object id for the '`Process`' class.
`static final int`
`PROCESS___GET_ANNOTATION__STRING`
The operation id for the 'Get Annotation' operation.
`static final int`
`PROCESS___GET_SYSTEM`
The operation id for the 'Get System' operation.
`static final int`
`PROCESS__ANNOTATIONS`
The feature id for the 'Annotations' containment reference list.
`static final int`
`PROCESS__DROP_TYPES`
The feature id for the 'Drop Types' containment reference list.
`static final int`
`PROCESS__INITIAL_MODULE_VERSION`
The feature id for the 'Initial Module Version' attribute.
`static final int`
`PROCESS__MODULE_DEFINITION_PATH`
The feature id for the 'Module Definition Path' attribute.
`static final int`
`PROCESS__MODULE_TYPES`
The feature id for the 'Module Types' containment reference list.
`static final int`
`PROCESS__SYSTEM`
The feature id for the 'System' container reference.
`static final int`
`PROCESS_ELEMENT`
The meta object id for the '`Process Element`' class.
`static final int`
`PROCESS_ELEMENT___GET_ANNOTATION__STRING`
The operation id for the 'Get Annotation' operation.
`static final int`
`PROCESS_ELEMENT___GET_PROCESS`
The operation id for the 'Get Process' operation.
`static final int`
`PROCESS_ELEMENT___GET_SYSTEM`
The operation id for the 'Get System' operation.
`static final int`
`PROCESS_ELEMENT__ANNOTATIONS`
The feature id for the 'Annotations' containment reference list.
`static final int`
`PROCESS_ELEMENT_FEATURE_COUNT`
The number of structural features of the 'Process Element' class.
`static final int`
`PROCESS_ELEMENT_OPERATION_COUNT`
The number of operations of the 'Process Element' class.
`static final int`
`PROCESS_FEATURE_COUNT`
The number of structural features of the 'Process' class.
`static final int`
`PROCESS_OPERATION_COUNT`
The number of operations of the 'Process' class.
`static final int`
`STREAM`
The meta object id for the '`Stream`' class.
`static final int`
`STREAM___GET_ANNOTATION__STRING`
The operation id for the 'Get Annotation' operation.
`static final int`
`STREAM___GET_BASE`
The operation id for the 'Get Base' operation.
`static final int`
`STREAM___GET_BASE_TIME_STAMP`
The operation id for the 'Get Base Time Stamp' operation.
`static final int`
`STREAM___GET_BASED_CHANGES`
The operation id for the 'Get Based Changes' operation.
`static final int`
`STREAM___GET_BRANCH`
The operation id for the 'Get Branch' operation.
`static final int`
`STREAM___GET_BRANCH_POINT`
The operation id for the 'Get Branch Point' operation.
`static final int`
`STREAM___GET_BRANCH_POINT__LONG`
The operation id for the 'Get Branch Point' operation.
`static final int`
`STREAM___GET_DELIVERIES`
The operation id for the 'Get Deliveries' operation.
`static final int`
`STREAM___GET_FIRST_RELEASE`
The operation id for the 'Get First Release' operation.
`static final int`
`STREAM___GET_LAST_RELEASE`
The operation id for the 'Get Last Release' operation.
`static final int`
`STREAM___GET_MODULE`
The operation id for the 'Get Module' operation.
`static final int`
`STREAM___GET_NAME`
The operation id for the 'Get Name' operation.
`static final int`
`STREAM___GET_RELEASES`
The operation id for the 'Get Releases' operation.
`static final int`
`STREAM___GET_STREAM`
The operation id for the 'Get Stream' operation.
`static final int`
`STREAM___GET_SYSTEM`
The operation id for the 'Get System' operation.
`static final int`
`STREAM___INSERT_CONTENT__BASELINE`
The operation id for the 'Insert Content' operation.
`static final int`
`STREAM__ALLOWED_CHANGES`
The feature id for the 'Allowed Changes' attribute.
`static final int`
`STREAM__ANNOTATIONS`
The feature id for the 'Annotations' containment reference list.
`static final int`
`STREAM__BASE`
The feature id for the 'Base' reference.
`static final int`
`STREAM__CLOSED`
The feature id for the 'Closed' attribute.
`static final int`
`STREAM__CODE_NAME`
The feature id for the 'Code Name' attribute.
`static final int`
`STREAM__CONTENTS`
The feature id for the 'Contents' containment reference list.
`static final int`
`STREAM__DEVELOPMENT_BRANCH`
The feature id for the 'Development Branch' attribute.
`static final int`
`STREAM__FLOATING`
The feature id for the 'Floating' attribute.
`static final int`
`STREAM__MAINTENANCE_BRANCH`
The feature id for the 'Maintenance Branch' attribute.
`static final int`
`STREAM__MAINTENANCE_TIME_STAMP`
The feature id for the 'Maintenance Time Stamp' attribute.
`static final int`
`STREAM__MAJOR_VERSION`
The feature id for the 'Major Version' attribute.
`static final int`
`STREAM__MINOR_VERSION`
The feature id for the 'Minor Version' attribute.
`static final int`
`STREAM__MODE`
The feature id for the 'Mode' attribute.
`static final int`
`STREAM__MODULE`
The feature id for the 'Module' container reference.
`static final int`
`STREAM__START_TIME_STAMP`
The feature id for the 'Start Time Stamp' attribute.
`static final int`
`STREAM__STREAM`
The feature id for the 'Stream' container reference.
`static final int`
`STREAM_ELEMENT`
The meta object id for the '`Stream Element`' class.
`static final int`
`STREAM_ELEMENT___GET_ANNOTATION__STRING`
The operation id for the 'Get Annotation' operation.
`static final int`
`STREAM_ELEMENT___GET_MODULE`
The operation id for the 'Get Module' operation.
`static final int`
`STREAM_ELEMENT___GET_STREAM`
The operation id for the 'Get Stream' operation.
`static final int`
`STREAM_ELEMENT___GET_SYSTEM`
The operation id for the 'Get System' operation.
`static final int`
`STREAM_ELEMENT__ANNOTATIONS`
The feature id for the 'Annotations' containment reference list.
`static final int`
`STREAM_ELEMENT_FEATURE_COUNT`
The number of structural features of the 'Stream Element' class.
`static final int`
`STREAM_ELEMENT_OPERATION_COUNT`
The number of operations of the 'Stream Element' class.
`static final int`
`STREAM_FEATURE_COUNT`
The number of structural features of the 'Stream' class.
`static final int`
`STREAM_MODE`
The meta object id for the '`Stream Mode`' enum.
`static final int`
`STREAM_OPERATION_COUNT`
The number of operations of the 'Stream' class.
`static final int`
`SYSTEM`
The meta object id for the '`System`' class.
`static final int`
`SYSTEM___GET_ANNOTATION__STRING`
The operation id for the 'Get Annotation' operation.
`static final int`
`SYSTEM___GET_MODULE__STRING`
The operation id for the 'Get Module' operation.
`static final int`
`SYSTEM__ANNOTATIONS`
The feature id for the 'Annotations' containment reference list.
`static final int`
`SYSTEM__MODULES`
The feature id for the 'Modules' containment reference list.
`static final int`
`SYSTEM__NAME`
The feature id for the 'Name' attribute.
`static final int`
`SYSTEM__PROCESS`
The feature id for the 'Process' containment reference.
`static final int`
`SYSTEM_ELEMENT`
The meta object id for the '`System Element`' class.
`static final int`
`SYSTEM_ELEMENT___GET_ANNOTATION__STRING`
The operation id for the 'Get Annotation' operation.
`static final int`
`SYSTEM_ELEMENT___GET_SYSTEM`
The operation id for the 'Get System' operation.
`static final int`
`SYSTEM_ELEMENT__ANNOTATIONS`
The feature id for the 'Annotations' containment reference list.
`static final int`
`SYSTEM_ELEMENT_FEATURE_COUNT`
The number of structural features of the 'System Element' class.
`static final int`
`SYSTEM_ELEMENT_OPERATION_COUNT`
The number of operations of the 'System Element' class.
`static final int`
`SYSTEM_FEATURE_COUNT`
The number of structural features of the 'System' class.
`static final int`
`SYSTEM_OPERATION_COUNT`
The number of operations of the 'System' class.

## Method Summary

Modifier and Type
Method
Description
`EClass`
`getBaseline()`
Returns the meta object for class '`Baseline`'.
`EOperation`
`getBaseline__GetBaseTimeStamp()`
Returns the meta object for the '`Get Base Time Stamp`' operation.
`EOperation`
`getBaseline__GetBranchPoint()`
Returns the meta object for the '`Get Branch Point`' operation.
`EOperation`
`getBaseline__GetName()`
Returns the meta object for the '`Get Name`' operation.
`EAttribute`
`getBaseline_Floating()`
Returns the meta object for the attribute '`Floating`'.
`EReference`
`getBaseline_Stream()`
Returns the meta object for the container reference '`Stream`'.
`EDataType`
`getBasePoint()`
Returns the meta object for data type '`Base Point`'.
`EClass`
`getChange()`
Returns the meta object for class '`Change`'.
`EReference`
`getChange_Base()`
Returns the meta object for the reference '`Base`'.
`EAttribute`
`getChange_Branch()`
Returns the meta object for the attribute '`Branch`'.
`EReference`
`getChange_Deliveries()`
Returns the meta object for the reference list '`Deliveries`'.
`EAttribute`
`getChange_Impact()`
Returns the meta object for the attribute '`Impact`'.
`EAttribute`
`getChange_Label()`
Returns the meta object for the attribute '`Label`'.
`EClass`
`getDelivery()`
Returns the meta object for class '`Delivery`'.
`EReference`
`getDelivery_Change()`
Returns the meta object for the reference '`Change`'.
`EAttribute`
`getDelivery_MergeSource()`
Returns the meta object for the attribute '`Merge Source`'.
`EAttribute`
`getDelivery_MergeTarget()`
Returns the meta object for the attribute '`Merge Target`'.
`EClass`
`getDependency()`
Returns the meta object for class '`Dependency`'.
`EReference`
`getDependency_Target()`
Returns the meta object for the reference '`Target`'.
`EAttribute`
`getDependency_VersionRange()`
Returns the meta object for the attribute '`Version Range`'.
`EClass`
`getDrop()`
Returns the meta object for class '`Drop`'.
`EOperation`
`getDrop__GetBasedStreams()`
Returns the meta object for the '`Get Based Streams`' operation.
`EOperation`
`getDrop__IsRelease()`
Returns the meta object for the '`Is Release`' operation.
`EAttribute`
`getDrop_BranchPoint()`
Returns the meta object for the attribute '`Branch Point`'.
`EAttribute`
`getDrop_Label()`
Returns the meta object for the attribute '`Label`'.
`EReference`
`getDrop_Type()`
Returns the meta object for the reference '`Type`'.
`EClass`
`getDropType()`
Returns the meta object for class '`Drop Type`'.
`EAttribute`
`getDropType_Name()`
Returns the meta object for the attribute '`Name`'.
`EReference`
`getDropType_Process()`
Returns the meta object for the container reference '`Process`'.
`EAttribute`
`getDropType_Release()`
Returns the meta object for the attribute '`Release`'.
`EClass`
`getFixedBaseline()`
Returns the meta object for class '`Fixed Baseline`'.
`EOperation`
`getFixedBaseline__GetBasedChanges()`
Returns the meta object for the '`Get Based Changes`' operation.
`EReference`
`getFixedBaseline_Dependencies()`
Returns the meta object for the containment reference list '`Dependencies`'.
`EAttribute`
`getFixedBaseline_Version()`
Returns the meta object for the attribute '`Version`'.
`EClass`
`getFloatingBaseline()`
Returns the meta object for class '`Floating Baseline`'.
`EOperation`
`getFloatingBaseline__GetBase()`
Returns the meta object for the '`Get Base`' operation.
`EOperation`
`getFloatingBaseline__GetBranch()`
Returns the meta object for the '`Get Branch`' operation.
`EOperation`
`getFloatingBaseline__GetDeliveries()`
Returns the meta object for the '`Get Deliveries`' operation.
`EAttribute`
`getFloatingBaseline_Closed()`
Returns the meta object for the attribute '`Closed`'.
`EEnum`
`getImpact()`
Returns the meta object for enum '`Impact`'.
`LMFactory`
`getLMFactory()`
Returns the factory that creates the instances of the model.
`EClass`
`getModule()`
Returns the meta object for class '`Module`'.
`EAttribute`
`getModule_Name()`
Returns the meta object for the attribute '`Name`'.
`EReference`
`getModule_Streams()`
Returns the meta object for the containment reference list '`Streams`'.
`EReference`
`getModule_System()`
Returns the meta object for the container reference '`System`'.
`EReference`
`getModule_Type()`
Returns the meta object for the reference '`Type`'.
`EClass`
`getModuleElement()`
Returns the meta object for class '`Module Element`'.
`EOperation`
`getModuleElement__GetModule()`
Returns the meta object for the '`Get Module`' operation.
`EClass`
`getModuleType()`
Returns the meta object for class '`Module Type`'.
`EAttribute`
`getModuleType_Name()`
Returns the meta object for the attribute '`Name`'.
`EReference`
`getModuleType_Process()`
Returns the meta object for the container reference '`Process`'.
`EClass`
`getProcess()`
Returns the meta object for class '`Process`'.
`EReference`
`getProcess_DropTypes()`
Returns the meta object for the containment reference list '`Drop Types`'.
`EAttribute`
`getProcess_InitialModuleVersion()`
Returns the meta object for the attribute '`Initial Module Version`'.
`EAttribute`
`getProcess_ModuleDefinitionPath()`
Returns the meta object for the attribute '`Module Definition Path`'.
`EReference`
`getProcess_ModuleTypes()`
Returns the meta object for the containment reference list '`Module Types`'.
`EReference`
`getProcess_System()`
Returns the meta object for the container reference '`System`'.
`EClass`
`getProcessElement()`
Returns the meta object for class '`Process Element`'.
`EOperation`
`getProcessElement__GetProcess()`
Returns the meta object for the '`Get Process`' operation.
`EClass`
`getStream()`
Returns the meta object for class '`Stream`'.
`EOperation`
`getStream__GetBasedChanges()`
Returns the meta object for the '`Get Based Changes`' operation.
`EOperation`
`getStream__GetBranchPoint__long()`
Returns the meta object for the '`Get Branch Point`' operation.
`EOperation`
`getStream__GetFirstRelease()`
Returns the meta object for the '`Get First Release`' operation.
`EOperation`
`getStream__GetLastRelease()`
Returns the meta object for the '`Get Last Release`' operation.
`EOperation`
`getStream__GetReleases()`
Returns the meta object for the '`Get Releases`' operation.
`EOperation`
`getStream__InsertContent__Baseline()`
Returns the meta object for the '`Insert Content`' operation.
`EAttribute`
`getStream_AllowedChanges()`
Returns the meta object for the attribute '`Allowed Changes`'.
`EReference`
`getStream_Base()`
Returns the meta object for the reference '`Base`'.
`EAttribute`
`getStream_CodeName()`
Returns the meta object for the attribute '`Code Name`'.
`EReference`
`getStream_Contents()`
Returns the meta object for the containment reference list '`Contents`'.
`EAttribute`
`getStream_DevelopmentBranch()`
Returns the meta object for the attribute '`Development Branch`'.
`EAttribute`
`getStream_MaintenanceBranch()`
Returns the meta object for the attribute '`Maintenance Branch`'.
`EAttribute`
`getStream_MaintenanceTimeStamp()`
Returns the meta object for the attribute '`Maintenance Time Stamp`'.
`EAttribute`
`getStream_MajorVersion()`
Returns the meta object for the attribute '`Major Version`'.
`EAttribute`
`getStream_MinorVersion()`
Returns the meta object for the attribute '`Minor Version`'.
`EAttribute`
`getStream_Mode()`
Returns the meta object for the attribute '`Mode`'.
`EReference`
`getStream_Module()`
Returns the meta object for the container reference '`Module`'.
`EAttribute`
`getStream_StartTimeStamp()`
Returns the meta object for the attribute '`Start Time Stamp`'.
`EClass`
`getStreamElement()`
Returns the meta object for class '`Stream Element`'.
`EOperation`
`getStreamElement__GetStream()`
Returns the meta object for the '`Get Stream`' operation.
`EEnum`
`getStreamMode()`
Returns the meta object for enum '`Stream Mode`'.
`EClass`
`getSystem()`
Returns the meta object for class '`System`'.
`EOperation`
`getSystem__GetModule__String()`
Returns the meta object for the '`Get Module`' operation.
`EReference`
`getSystem_Modules()`
Returns the meta object for the containment reference list '`Modules`'.
`EAttribute`
`getSystem_Name()`
Returns the meta object for the attribute '`Name`'.
`EReference`
`getSystem_Process()`
Returns the meta object for the containment reference '`Process`'.
`EClass`
`getSystemElement()`
Returns the meta object for class '`System Element`'.
`EOperation`
`getSystemElement__GetSystem()`
Returns the meta object for the '`Get System`' operation.

### Methods inherited from interface org.eclipse.emf.ecore.EModelElement

`getEAnnotation, getEAnnotations`

### Methods inherited from interface org.eclipse.emf.ecore.ENamedElement

`getName, setName`

### Methods inherited from interface org.eclipse.emf.ecore.EObject

`eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eInvoke, eIsProxy, eIsSet, eResource, eSet, eUnset`

### Methods inherited from interface org.eclipse.emf.ecore.EPackage

`getEClassifier, getEClassifiers, getEFactoryInstance, getESubpackages, getESuperPackage, getNsPrefix, getNsURI, setEFactoryInstance, setNsPrefix, setNsURI`

### Methods inherited from interface org.eclipse.emf.common.notify.Notifier

`eAdapters, eDeliver, eNotify, eSetDeliver`

## Field Details

### eNAME

static final String eNAME
The package name.

See Also:
  - Constant Field Values
Generated

### eNS_URI

static final String eNS_URI
The package namespace URI.

See Also:
  - Constant Field Values
Generated

### eNS_PREFIX

static final String eNS_PREFIX
The package namespace name.

See Also:
  - Constant Field Values
Generated

### eINSTANCE

static final LMPackage eINSTANCE
The singleton instance of the package.

Generated

### ANNOTATION_SOURCE

static final String ANNOTATION_SOURCE

See Also:
  - Constant Field Values

### ANNOTATION_DETAIL_BASELINE_ID

static final String ANNOTATION_DETAIL_BASELINE_ID

See Also:
  - Constant Field Values

### ANNOTATION_DETAIL_BASELINE_TYPE

static final String ANNOTATION_DETAIL_BASELINE_TYPE

See Also:
  - Constant Field Values

### ANNOTATION_DETAIL_BASELINE_NAME

static final String ANNOTATION_DETAIL_BASELINE_NAME

See Also:
  - Constant Field Values

### SYSTEM_ELEMENT

static final int SYSTEM_ELEMENT
The meta object id for the '`System Element`' class.

See Also:
  - `SystemElement`
  - `LMPackageImpl.getSystemElement()`
  - Constant Field Values
Generated

### SYSTEM_ELEMENT__ANNOTATIONS

static final int SYSTEM_ELEMENT__ANNOTATIONS
The feature id for the 'Annotations' containment reference list.

See Also:
  - Constant Field Values
Generated
Ordered

### SYSTEM_ELEMENT_FEATURE_COUNT

static final int SYSTEM_ELEMENT_FEATURE_COUNT
The number of structural features of the 'System Element' class.

See Also:
  - Constant Field Values
Generated
Ordered

### SYSTEM_ELEMENT___GET_ANNOTATION__STRING

static final int SYSTEM_ELEMENT___GET_ANNOTATION__STRING
The operation id for the 'Get Annotation' operation.

See Also:
  - Constant Field Values
Generated
Ordered

### SYSTEM_ELEMENT___GET_SYSTEM

static final int SYSTEM_ELEMENT___GET_SYSTEM
The operation id for the 'Get System' operation.

See Also:
  - Constant Field Values
Generated
Ordered

### SYSTEM_ELEMENT_OPERATION_COUNT

static final int SYSTEM_ELEMENT_OPERATION_COUNT
The number of operations of the 'System Element' class.

See Also:
  - Constant Field Values
Generated
Ordered

### PROCESS_ELEMENT

static final int PROCESS_ELEMENT
The meta object id for the '`Process Element`' class.

See Also:
  - `ProcessElement`
  - `LMPackageImpl.getProcessElement()`
  - Constant Field Values
Generated

### PROCESS_ELEMENT__ANNOTATIONS

static final int PROCESS_ELEMENT__ANNOTATIONS
The feature id for the 'Annotations' containment reference list.

See Also:
  - Constant Field Values
Generated
Ordered

### PROCESS_ELEMENT_FEATURE_COUNT

static final int PROCESS_ELEMENT_FEATURE_COUNT
The number of structural features of the 'Process Element' class.

See Also:
  - Constant Field Values
Generated
Ordered

### PROCESS_ELEMENT___GET_ANNOTATION__STRING

static final int PROCESS_ELEMENT___GET_ANNOTATION__STRING
The operation id for the 'Get Annotation' operation.

See Also:
  - Constant Field Values
Generated
Ordered

### PROCESS_ELEMENT___GET_SYSTEM

static final int PROCESS_ELEMENT___GET_SYSTEM
The operation id for the 'Get System' operation.

See Also:
  - Constant Field Values
Generated
Ordered

### PROCESS_ELEMENT___GET_PROCESS

static final int PROCESS_ELEMENT___GET_PROCESS
The operation id for the 'Get Process' operation.

See Also:
  - Constant Field Values
Generated
Ordered

### PROCESS_ELEMENT_OPERATION_COUNT

static final int PROCESS_ELEMENT_OPERATION_COUNT
The number of operations of the 'Process Element' class.

See Also:
  - Constant Field Values
Generated
Ordered

### MODULE_ELEMENT

static final int MODULE_ELEMENT
The meta object id for the '`Module Element`' class.

See Also:
  - `ModuleElement`
  - `LMPackageImpl.getModuleElement()`
  - Constant Field Values
Generated

### MODULE_ELEMENT__ANNOTATIONS

static final int MODULE_ELEMENT__ANNOTATIONS
The feature id for the 'Annotations' containment reference list.

See Also:
  - Constant Field Values
Generated
Ordered

### MODULE_ELEMENT_FEATURE_COUNT

static final int MODULE_ELEMENT_FEATURE_COUNT
The number of structural features of the 'Module Element' class.

See Also:
  - Constant Field Values
Generated
Ordered

### MODULE_ELEMENT___GET_ANNOTATION__STRING

static final int MODULE_ELEMENT___GET_ANNOTATION__STRING
The operation id for the 'Get Annotation' operation.

See Also:
  - Constant Field Values
Generated
Ordered

### MODULE_ELEMENT___GET_SYSTEM

static final int MODULE_ELEMENT___GET_SYSTEM
The operation id for the 'Get System' operation.

See Also:
  - Constant Field Values
Generated
Ordered

### MODULE_ELEMENT___GET_MODULE

static final int MODULE_ELEMENT___GET_MODULE
The operation id for the 'Get Module' operation.

See Also:
  - Constant Field Values
Generated
Ordered

### MODULE_ELEMENT_OPERATION_COUNT

static final int MODULE_ELEMENT_OPERATION_COUNT
The number of operations of the 'Module Element' class.

See Also:
  - Constant Field Values
Generated
Ordered

### STREAM_ELEMENT

static final int STREAM_ELEMENT
The meta object id for the '`Stream Element`' class.

See Also:
  - `StreamElement`
  - `LMPackageImpl.getStreamElement()`
  - Constant Field Values
Generated

### STREAM_ELEMENT__ANNOTATIONS

static final int STREAM_ELEMENT__ANNOTATIONS
The feature id for the 'Annotations' containment reference list.

See Also:
  - Constant Field Values
Generated
Ordered

### STREAM_ELEMENT_FEATURE_COUNT

static final int STREAM_ELEMENT_FEATURE_COUNT
The number of structural features of the 'Stream Element' class.

See Also:
  - Constant Field Values
Generated
Ordered

### STREAM_ELEMENT___GET_ANNOTATION__STRING

static final int STREAM_ELEMENT___GET_ANNOTATION__STRING
The operation id for the 'Get Annotation' operation.

See Also:
  - Constant Field Values
Generated
Ordered

### STREAM_ELEMENT___GET_SYSTEM

static final int STREAM_ELEMENT___GET_SYSTEM
The operation id for the 'Get System' operation.

See Also:
  - Constant Field Values
Generated
Ordered

### STREAM_ELEMENT___GET_MODULE

static final int STREAM_ELEMENT___GET_MODULE
The operation id for the 'Get Module' operation.

See Also:
  - Constant Field Values
Generated
Ordered

### STREAM_ELEMENT___GET_STREAM

static final int STREAM_ELEMENT___GET_STREAM
The operation id for the 'Get Stream' operation.

See Also:
  - Constant Field Values
Generated
Ordered

### STREAM_ELEMENT_OPERATION_COUNT

static final int STREAM_ELEMENT_OPERATION_COUNT
The number of operations of the 'Stream Element' class.

See Also:
  - Constant Field Values
Generated
Ordered

### SYSTEM

static final int SYSTEM
The meta object id for the '`System`' class.

See Also:
  - `SystemImpl`
  - `LMPackageImpl.getSystem()`
  - Constant Field Values
Generated

### SYSTEM__ANNOTATIONS

static final int SYSTEM__ANNOTATIONS
The feature id for the 'Annotations' containment reference list.

See Also:
  - Constant Field Values
Generated
Ordered

### SYSTEM__NAME

static final int SYSTEM__NAME
The feature id for the 'Name' attribute.

See Also:
  - Constant Field Values
Generated
Ordered

### SYSTEM__PROCESS

static final int SYSTEM__PROCESS
The feature id for the 'Process' containment reference.

See Also:
  - Constant Field Values
Generated
Ordered

### SYSTEM__MODULES

static final int SYSTEM__MODULES
The feature id for the 'Modules' containment reference list.

See Also:
  - Constant Field Values
Generated
Ordered

### SYSTEM_FEATURE_COUNT

static final int SYSTEM_FEATURE_COUNT
The number of structural features of the 'System' class.

See Also:
  - Constant Field Values
Generated
Ordered

### SYSTEM___GET_ANNOTATION__STRING

static final int SYSTEM___GET_ANNOTATION__STRING
The operation id for the 'Get Annotation' operation.

See Also:
  - Constant Field Values
Generated
Ordered

### SYSTEM___GET_MODULE__STRING

static final int SYSTEM___GET_MODULE__STRING
The operation id for the 'Get Module' operation.

See Also:
  - Constant Field Values
Generated
Ordered

### SYSTEM_OPERATION_COUNT

static final int SYSTEM_OPERATION_COUNT
The number of operations of the 'System' class.

See Also:
  - Constant Field Values
Generated
Ordered

### PROCESS

static final int PROCESS
The meta object id for the '`Process`' class.

See Also:
  - `ProcessImpl`
  - `LMPackageImpl.getProcess()`
  - Constant Field Values
Generated

### PROCESS__ANNOTATIONS

static final int PROCESS__ANNOTATIONS
The feature id for the 'Annotations' containment reference list.

See Also:
  - Constant Field Values
Generated
Ordered

### PROCESS__SYSTEM

static final int PROCESS__SYSTEM
The feature id for the 'System' container reference.

See Also:
  - Constant Field Values
Generated
Ordered

### PROCESS__MODULE_TYPES

static final int PROCESS__MODULE_TYPES
The feature id for the 'Module Types' containment reference list.

See Also:
  - Constant Field Values
Generated
Ordered

### PROCESS__DROP_TYPES

static final int PROCESS__DROP_TYPES
The feature id for the 'Drop Types' containment reference list.

See Also:
  - Constant Field Values
Generated
Ordered

### PROCESS__MODULE_DEFINITION_PATH

static final int PROCESS__MODULE_DEFINITION_PATH
The feature id for the 'Module Definition Path' attribute.

See Also:
  - Constant Field Values
Generated
Ordered

### PROCESS__INITIAL_MODULE_VERSION

static final int PROCESS__INITIAL_MODULE_VERSION
The feature id for the 'Initial Module Version' attribute.

See Also:
  - Constant Field Values
Generated
Ordered

### PROCESS_FEATURE_COUNT

static final int PROCESS_FEATURE_COUNT
The number of structural features of the 'Process' class.

See Also:
  - Constant Field Values
Generated
Ordered

### PROCESS___GET_ANNOTATION__STRING

static final int PROCESS___GET_ANNOTATION__STRING
The operation id for the 'Get Annotation' operation.

See Also:
  - Constant Field Values
Generated
Ordered

### PROCESS___GET_SYSTEM

static final int PROCESS___GET_SYSTEM
The operation id for the 'Get System' operation.

See Also:
  - Constant Field Values
Generated
Ordered

### PROCESS_OPERATION_COUNT

static final int PROCESS_OPERATION_COUNT
The number of operations of the 'Process' class.

See Also:
  - Constant Field Values
Generated
Ordered

### DROP_TYPE

static final int DROP_TYPE
The meta object id for the '`Drop Type`' class.

See Also:
  - `DropTypeImpl`
  - `LMPackageImpl.getDropType()`
  - Constant Field Values
Generated

### MODULE

static final int MODULE
The meta object id for the '`Module`' class.

See Also:
  - `ModuleImpl`
  - `LMPackageImpl.getModule()`
  - Constant Field Values
Generated

### DEPENDENCY

static final int DEPENDENCY
The meta object id for the '`Dependency`' class.

See Also:
  - `DependencyImpl`
  - `LMPackageImpl.getDependency()`
  - Constant Field Values
Generated

### BASELINE

static final int BASELINE
The meta object id for the '`Baseline`' class.

See Also:
  - `BaselineImpl`
  - `LMPackageImpl.getBaseline()`
  - Constant Field Values
Generated

### FLOATING_BASELINE

static final int FLOATING_BASELINE
The meta object id for the '`Floating Baseline`' class.

See Also:
  - `FloatingBaselineImpl`
  - `LMPackageImpl.getFloatingBaseline()`
  - Constant Field Values
Generated

### FIXED_BASELINE

static final int FIXED_BASELINE
The meta object id for the '`Fixed Baseline`' class.

See Also:
  - `FixedBaselineImpl`
  - `LMPackageImpl.getFixedBaseline()`
  - Constant Field Values
Generated

### STREAM

static final int STREAM
The meta object id for the '`Stream`' class.

See Also:
  - `StreamImpl`
  - `LMPackageImpl.getStream()`
  - Constant Field Values
Generated

### CHANGE

static final int CHANGE
The meta object id for the '`Change`' class.

See Also:
  - `ChangeImpl`
  - `LMPackageImpl.getChange()`
  - Constant Field Values
Generated

### DELIVERY

static final int DELIVERY
The meta object id for the '`Delivery`' class.

See Also:
  - `DeliveryImpl`
  - `LMPackageImpl.getDelivery()`
  - Constant Field Values
Generated

### DROP

static final int DROP
The meta object id for the '`Drop`' class.

See Also:
  - `DropImpl`
  - `LMPackageImpl.getDrop()`
  - Constant Field Values
Generated

### MODULE_TYPE

static final int MODULE_TYPE
The meta object id for the '`Module Type`' class.

See Also:
  - `ModuleTypeImpl`
  - `LMPackageImpl.getModuleType()`
  - Constant Field Values
Generated

### MODULE_TYPE__ANNOTATIONS

static final int MODULE_TYPE__ANNOTATIONS
The feature id for the 'Annotations' containment reference list.

See Also:
  - Constant Field Values
Generated
Ordered

### MODULE_TYPE__PROCESS

static final int MODULE_TYPE__PROCESS
The feature id for the 'Process' container reference.

See Also:
  - Constant Field Values
Generated
Ordered

### MODULE_TYPE__NAME

static final int MODULE_TYPE__NAME
The feature id for the 'Name' attribute.

See Also:
  - Constant Field Values
Generated
Ordered

### MODULE_TYPE_FEATURE_COUNT

static final int MODULE_TYPE_FEATURE_COUNT
The number of structural features of the 'Module Type' class.

See Also:
  - Constant Field Values
Generated
Ordered

### MODULE_TYPE___GET_ANNOTATION__STRING

static final int MODULE_TYPE___GET_ANNOTATION__STRING
The operation id for the 'Get Annotation' operation.

See Also:
  - Constant Field Values
Generated
Ordered

### MODULE_TYPE___GET_SYSTEM

static final int MODULE_TYPE___GET_SYSTEM
The operation id for the 'Get System' operation.

See Also:
  - Constant Field Values
Generated
Ordered

### MODULE_TYPE___GET_PROCESS

static final int MODULE_TYPE___GET_PROCESS
The operation id for the 'Get Process' operation.

See Also:
  - Constant Field Values
Generated
Ordered

### MODULE_TYPE_OPERATION_COUNT

static final int MODULE_TYPE_OPERATION_COUNT
The number of operations of the 'Module Type' class.

See Also:
  - Constant Field Values
Generated
Ordered

### DROP_TYPE__ANNOTATIONS

static final int DROP_TYPE__ANNOTATIONS
The feature id for the 'Annotations' containment reference list.

See Also:
  - Constant Field Values
Generated
Ordered

### DROP_TYPE__PROCESS

static final int DROP_TYPE__PROCESS
The feature id for the 'Process' container reference.

See Also:
  - Constant Field Values
Generated
Ordered

### DROP_TYPE__NAME

static final int DROP_TYPE__NAME
The feature id for the 'Name' attribute.

See Also:
  - Constant Field Values
Generated
Ordered

### DROP_TYPE__RELEASE

static final int DROP_TYPE__RELEASE
The feature id for the 'Release' attribute.

See Also:
  - Constant Field Values
Generated
Ordered

### DROP_TYPE_FEATURE_COUNT

static final int DROP_TYPE_FEATURE_COUNT
The number of structural features of the 'Drop Type' class.

See Also:
  - Constant Field Values
Generated
Ordered

### DROP_TYPE___GET_ANNOTATION__STRING

static final int DROP_TYPE___GET_ANNOTATION__STRING
The operation id for the 'Get Annotation' operation.

See Also:
  - Constant Field Values
Generated
Ordered

### DROP_TYPE___GET_SYSTEM

static final int DROP_TYPE___GET_SYSTEM
The operation id for the 'Get System' operation.

See Also:
  - Constant Field Values
Generated
Ordered

### DROP_TYPE___GET_PROCESS

static final int DROP_TYPE___GET_PROCESS
The operation id for the 'Get Process' operation.

See Also:
  - Constant Field Values
Generated
Ordered

### DROP_TYPE_OPERATION_COUNT

static final int DROP_TYPE_OPERATION_COUNT
The number of operations of the 'Drop Type' class.

See Also:
  - Constant Field Values
Generated
Ordered

### MODULE__ANNOTATIONS

static final int MODULE__ANNOTATIONS
The feature id for the 'Annotations' containment reference list.

See Also:
  - Constant Field Values
Generated
Ordered

### MODULE__SYSTEM

static final int MODULE__SYSTEM
The feature id for the 'System' container reference.

See Also:
  - Constant Field Values
Generated
Ordered

### MODULE__NAME

static final int MODULE__NAME
The feature id for the 'Name' attribute.

See Also:
  - Constant Field Values
Generated
Ordered

### MODULE__TYPE

static final int MODULE__TYPE
The feature id for the 'Type' reference.

See Also:
  - Constant Field Values
Generated
Ordered

### MODULE__STREAMS

static final int MODULE__STREAMS
The feature id for the 'Streams' containment reference list.

See Also:
  - Constant Field Values
Generated
Ordered

### MODULE_FEATURE_COUNT

static final int MODULE_FEATURE_COUNT
The number of structural features of the 'Module' class.

See Also:
  - Constant Field Values
Generated
Ordered

### MODULE___GET_ANNOTATION__STRING

static final int MODULE___GET_ANNOTATION__STRING
The operation id for the 'Get Annotation' operation.

See Also:
  - Constant Field Values
Generated
Ordered

### MODULE___GET_SYSTEM

static final int MODULE___GET_SYSTEM
The operation id for the 'Get System' operation.

See Also:
  - Constant Field Values
Generated
Ordered

### MODULE_OPERATION_COUNT

static final int MODULE_OPERATION_COUNT
The number of operations of the 'Module' class.

See Also:
  - Constant Field Values
Generated
Ordered

### BASELINE__ANNOTATIONS

static final int BASELINE__ANNOTATIONS
The feature id for the 'Annotations' containment reference list.

See Also:
  - Constant Field Values
Generated
Ordered

### BASELINE__STREAM

static final int BASELINE__STREAM
The feature id for the 'Stream' container reference.

See Also:
  - Constant Field Values
Generated
Ordered

### BASELINE__FLOATING

static final int BASELINE__FLOATING
The feature id for the 'Floating' attribute.

See Also:
  - Constant Field Values
Generated
Ordered

### BASELINE_FEATURE_COUNT

static final int BASELINE_FEATURE_COUNT
The number of structural features of the 'Baseline' class.

See Also:
  - Constant Field Values
Generated
Ordered

### BASELINE___GET_ANNOTATION__STRING

static final int BASELINE___GET_ANNOTATION__STRING
The operation id for the 'Get Annotation' operation.

See Also:
  - Constant Field Values
Generated
Ordered

### BASELINE___GET_SYSTEM

static final int BASELINE___GET_SYSTEM
The operation id for the 'Get System' operation.

See Also:
  - Constant Field Values
Generated
Ordered

### BASELINE___GET_MODULE

static final int BASELINE___GET_MODULE
The operation id for the 'Get Module' operation.

See Also:
  - Constant Field Values
Generated
Ordered

### BASELINE___GET_STREAM

static final int BASELINE___GET_STREAM
The operation id for the 'Get Stream' operation.

See Also:
  - Constant Field Values
Generated
Ordered

### BASELINE___GET_NAME

static final int BASELINE___GET_NAME
The operation id for the 'Get Name' operation.

See Also:
  - Constant Field Values
Generated
Ordered

### BASELINE___GET_BRANCH_POINT

static final int BASELINE___GET_BRANCH_POINT
The operation id for the 'Get Branch Point' operation.

See Also:
  - Constant Field Values
Generated
Ordered

### BASELINE___GET_BASE_TIME_STAMP

static final int BASELINE___GET_BASE_TIME_STAMP
The operation id for the 'Get Base Time Stamp' operation.

See Also:
  - Constant Field Values
Generated
Ordered

### BASELINE_OPERATION_COUNT

static final int BASELINE_OPERATION_COUNT
The number of operations of the 'Baseline' class.

See Also:
  - Constant Field Values
Generated
Ordered

### FLOATING_BASELINE__ANNOTATIONS

static final int FLOATING_BASELINE__ANNOTATIONS
The feature id for the 'Annotations' containment reference list.

See Also:
  - Constant Field Values
Generated
Ordered

### FLOATING_BASELINE__STREAM

static final int FLOATING_BASELINE__STREAM
The feature id for the 'Stream' container reference.

See Also:
  - Constant Field Values
Generated
Ordered

### FLOATING_BASELINE__FLOATING

static final int FLOATING_BASELINE__FLOATING
The feature id for the 'Floating' attribute.

See Also:
  - Constant Field Values
Generated
Ordered

### FLOATING_BASELINE__CLOSED

static final int FLOATING_BASELINE__CLOSED
The feature id for the 'Closed' attribute.

See Also:
  - Constant Field Values
Generated
Ordered

### FLOATING_BASELINE_FEATURE_COUNT

static final int FLOATING_BASELINE_FEATURE_COUNT
The number of structural features of the 'Floating Baseline' class.

See Also:
  - Constant Field Values
Generated
Ordered

### FLOATING_BASELINE___GET_ANNOTATION__STRING

static final int FLOATING_BASELINE___GET_ANNOTATION__STRING
The operation id for the 'Get Annotation' operation.

See Also:
  - Constant Field Values
Generated
Ordered

### FLOATING_BASELINE___GET_SYSTEM

static final int FLOATING_BASELINE___GET_SYSTEM
The operation id for the 'Get System' operation.

See Also:
  - Constant Field Values
Generated
Ordered

### FLOATING_BASELINE___GET_MODULE

static final int FLOATING_BASELINE___GET_MODULE
The operation id for the 'Get Module' operation.

See Also:
  - Constant Field Values
Generated
Ordered

### FLOATING_BASELINE___GET_STREAM

static final int FLOATING_BASELINE___GET_STREAM
The operation id for the 'Get Stream' operation.

See Also:
  - Constant Field Values
Generated
Ordered

### FLOATING_BASELINE___GET_NAME

static final int FLOATING_BASELINE___GET_NAME
The operation id for the 'Get Name' operation.

See Also:
  - Constant Field Values
Generated
Ordered

### FLOATING_BASELINE___GET_BRANCH_POINT

static final int FLOATING_BASELINE___GET_BRANCH_POINT
The operation id for the 'Get Branch Point' operation.

See Also:
  - Constant Field Values
Generated
Ordered

### FLOATING_BASELINE___GET_BASE_TIME_STAMP

static final int FLOATING_BASELINE___GET_BASE_TIME_STAMP
The operation id for the 'Get Base Time Stamp' operation.

See Also:
  - Constant Field Values
Generated
Ordered

### FLOATING_BASELINE___GET_BASE

static final int FLOATING_BASELINE___GET_BASE
The operation id for the 'Get Base' operation.

See Also:
  - Constant Field Values
Generated
Ordered

### FLOATING_BASELINE___GET_DELIVERIES

static final int FLOATING_BASELINE___GET_DELIVERIES
The operation id for the 'Get Deliveries' operation.

See Also:
  - Constant Field Values
Generated
Ordered

### FLOATING_BASELINE___GET_BRANCH

static final int FLOATING_BASELINE___GET_BRANCH
The operation id for the 'Get Branch' operation.

See Also:
  - Constant Field Values
Generated
Ordered

### FLOATING_BASELINE_OPERATION_COUNT

static final int FLOATING_BASELINE_OPERATION_COUNT
The number of operations of the 'Floating Baseline' class.

See Also:
  - Constant Field Values
Generated
Ordered

### FIXED_BASELINE__ANNOTATIONS

static final int FIXED_BASELINE__ANNOTATIONS
The feature id for the 'Annotations' containment reference list.

See Also:
  - Constant Field Values
Generated
Ordered

### FIXED_BASELINE__STREAM

static final int FIXED_BASELINE__STREAM
The feature id for the 'Stream' container reference.

See Also:
  - Constant Field Values
Generated
Ordered

### FIXED_BASELINE__FLOATING

static final int FIXED_BASELINE__FLOATING
The feature id for the 'Floating' attribute.

See Also:
  - Constant Field Values
Generated
Ordered

### FIXED_BASELINE__VERSION

static final int FIXED_BASELINE__VERSION
The feature id for the 'Version' attribute.

See Also:
  - Constant Field Values
Generated
Ordered

### FIXED_BASELINE__DEPENDENCIES

static final int FIXED_BASELINE__DEPENDENCIES
The feature id for the 'Dependencies' containment reference list.

See Also:
  - Constant Field Values
Generated
Ordered

### FIXED_BASELINE_FEATURE_COUNT

static final int FIXED_BASELINE_FEATURE_COUNT
The number of structural features of the 'Fixed Baseline' class.

See Also:
  - Constant Field Values
Generated
Ordered

### FIXED_BASELINE___GET_ANNOTATION__STRING

static final int FIXED_BASELINE___GET_ANNOTATION__STRING
The operation id for the 'Get Annotation' operation.

See Also:
  - Constant Field Values
Generated
Ordered

### FIXED_BASELINE___GET_SYSTEM

static final int FIXED_BASELINE___GET_SYSTEM
The operation id for the 'Get System' operation.

See Also:
  - Constant Field Values
Generated
Ordered

### FIXED_BASELINE___GET_MODULE

static final int FIXED_BASELINE___GET_MODULE
The operation id for the 'Get Module' operation.

See Also:
  - Constant Field Values
Generated
Ordered

### FIXED_BASELINE___GET_STREAM

static final int FIXED_BASELINE___GET_STREAM
The operation id for the 'Get Stream' operation.

See Also:
  - Constant Field Values
Generated
Ordered

### FIXED_BASELINE___GET_NAME

static final int FIXED_BASELINE___GET_NAME
The operation id for the 'Get Name' operation.

See Also:
  - Constant Field Values
Generated
Ordered

### FIXED_BASELINE___GET_BRANCH_POINT

static final int FIXED_BASELINE___GET_BRANCH_POINT
The operation id for the 'Get Branch Point' operation.

See Also:
  - Constant Field Values
Generated
Ordered

### FIXED_BASELINE___GET_BASE_TIME_STAMP

static final int FIXED_BASELINE___GET_BASE_TIME_STAMP
The operation id for the 'Get Base Time Stamp' operation.

See Also:
  - Constant Field Values
Generated
Ordered

### FIXED_BASELINE___GET_BASED_CHANGES

static final int FIXED_BASELINE___GET_BASED_CHANGES
The operation id for the 'Get Based Changes' operation.

See Also:
  - Constant Field Values
Generated
Ordered

### FIXED_BASELINE_OPERATION_COUNT

static final int FIXED_BASELINE_OPERATION_COUNT
The number of operations of the 'Fixed Baseline' class.

See Also:
  - Constant Field Values
Generated
Ordered

### STREAM__ANNOTATIONS

static final int STREAM__ANNOTATIONS
The feature id for the 'Annotations' containment reference list.

See Also:
  - Constant Field Values
Generated
Ordered

### STREAM__STREAM

static final int STREAM__STREAM
The feature id for the 'Stream' container reference.

See Also:
  - Constant Field Values
Generated
Ordered

### STREAM__FLOATING

static final int STREAM__FLOATING
The feature id for the 'Floating' attribute.

See Also:
  - Constant Field Values
Generated
Ordered

### STREAM__CLOSED

static final int STREAM__CLOSED
The feature id for the 'Closed' attribute.

See Also:
  - Constant Field Values
Generated
Ordered

### STREAM__MODULE

static final int STREAM__MODULE
The feature id for the 'Module' container reference.

See Also:
  - Constant Field Values
Generated
Ordered

### STREAM__BASE

static final int STREAM__BASE
The feature id for the 'Base' reference.

See Also:
  - Constant Field Values
Generated
Ordered

### STREAM__START_TIME_STAMP

static final int STREAM__START_TIME_STAMP
The feature id for the 'Start Time Stamp' attribute.

See Also:
  - Constant Field Values
Generated
Ordered

### STREAM__MAJOR_VERSION

static final int STREAM__MAJOR_VERSION
The feature id for the 'Major Version' attribute.

See Also:
  - Constant Field Values
Generated
Ordered

### STREAM__MINOR_VERSION

static final int STREAM__MINOR_VERSION
The feature id for the 'Minor Version' attribute.

See Also:
  - Constant Field Values
Generated
Ordered

### STREAM__CODE_NAME

static final int STREAM__CODE_NAME
The feature id for the 'Code Name' attribute.

See Also:
  - Constant Field Values
Generated
Ordered

### STREAM__ALLOWED_CHANGES

static final int STREAM__ALLOWED_CHANGES
The feature id for the 'Allowed Changes' attribute.

See Also:
  - Constant Field Values
Generated
Ordered

### STREAM__MODE

static final int STREAM__MODE
The feature id for the 'Mode' attribute.

See Also:
  - Constant Field Values
Generated
Ordered

### STREAM__DEVELOPMENT_BRANCH

static final int STREAM__DEVELOPMENT_BRANCH
The feature id for the 'Development Branch' attribute.

See Also:
  - Constant Field Values
Generated
Ordered

### STREAM__MAINTENANCE_BRANCH

static final int STREAM__MAINTENANCE_BRANCH
The feature id for the 'Maintenance Branch' attribute.

See Also:
  - Constant Field Values
Generated
Ordered

### STREAM__CONTENTS

static final int STREAM__CONTENTS
The feature id for the 'Contents' containment reference list.

See Also:
  - Constant Field Values
Generated
Ordered

### STREAM__MAINTENANCE_TIME_STAMP

static final int STREAM__MAINTENANCE_TIME_STAMP
The feature id for the 'Maintenance Time Stamp' attribute.

See Also:
  - Constant Field Values
Generated
Ordered

### STREAM_FEATURE_COUNT

static final int STREAM_FEATURE_COUNT
The number of structural features of the 'Stream' class.

See Also:
  - Constant Field Values
Generated
Ordered

### STREAM___GET_ANNOTATION__STRING

static final int STREAM___GET_ANNOTATION__STRING
The operation id for the 'Get Annotation' operation.

See Also:
  - Constant Field Values
Generated
Ordered

### STREAM___GET_SYSTEM

static final int STREAM___GET_SYSTEM
The operation id for the 'Get System' operation.

See Also:
  - Constant Field Values
Generated
Ordered

### STREAM___GET_MODULE

static final int STREAM___GET_MODULE
The operation id for the 'Get Module' operation.

See Also:
  - Constant Field Values
Generated
Ordered

### STREAM___GET_STREAM

static final int STREAM___GET_STREAM
The operation id for the 'Get Stream' operation.

See Also:
  - Constant Field Values
Generated
Ordered

### STREAM___GET_NAME

static final int STREAM___GET_NAME
The operation id for the 'Get Name' operation.

See Also:
  - Constant Field Values
Generated
Ordered

### STREAM___GET_BRANCH_POINT

static final int STREAM___GET_BRANCH_POINT
The operation id for the 'Get Branch Point' operation.

See Also:
  - Constant Field Values
Generated
Ordered

### STREAM___GET_BASE_TIME_STAMP

static final int STREAM___GET_BASE_TIME_STAMP
The operation id for the 'Get Base Time Stamp' operation.

See Also:
  - Constant Field Values
Generated
Ordered

### STREAM___GET_BASE

static final int STREAM___GET_BASE
The operation id for the 'Get Base' operation.

See Also:
  - Constant Field Values
Generated
Ordered

### STREAM___GET_DELIVERIES

static final int STREAM___GET_DELIVERIES
The operation id for the 'Get Deliveries' operation.

See Also:
  - Constant Field Values
Generated
Ordered

### STREAM___GET_BRANCH

static final int STREAM___GET_BRANCH
The operation id for the 'Get Branch' operation.

See Also:
  - Constant Field Values
Generated
Ordered

### STREAM___INSERT_CONTENT__BASELINE

static final int STREAM___INSERT_CONTENT__BASELINE
The operation id for the 'Insert Content' operation.

See Also:
  - Constant Field Values
Generated
Ordered

### STREAM___GET_BRANCH_POINT__LONG

static final int STREAM___GET_BRANCH_POINT__LONG
The operation id for the 'Get Branch Point' operation.

See Also:
  - Constant Field Values
Generated
Ordered

### STREAM___GET_FIRST_RELEASE

static final int STREAM___GET_FIRST_RELEASE
The operation id for the 'Get First Release' operation.

See Also:
  - Constant Field Values
Generated
Ordered

### STREAM___GET_LAST_RELEASE

static final int STREAM___GET_LAST_RELEASE
The operation id for the 'Get Last Release' operation.

See Also:
  - Constant Field Values
Generated
Ordered

### STREAM___GET_RELEASES

static final int STREAM___GET_RELEASES
The operation id for the 'Get Releases' operation.

See Also:
  - Constant Field Values
Generated
Ordered

### STREAM___GET_BASED_CHANGES

static final int STREAM___GET_BASED_CHANGES
The operation id for the 'Get Based Changes' operation.

See Also:
  - Constant Field Values
Generated
Ordered

### STREAM_OPERATION_COUNT

static final int STREAM_OPERATION_COUNT
The number of operations of the 'Stream' class.

See Also:
  - Constant Field Values
Generated
Ordered

### CHANGE__ANNOTATIONS

static final int CHANGE__ANNOTATIONS
The feature id for the 'Annotations' containment reference list.

See Also:
  - Constant Field Values
Generated
Ordered

### CHANGE__STREAM

static final int CHANGE__STREAM
The feature id for the 'Stream' container reference.

See Also:
  - Constant Field Values
Generated
Ordered

### CHANGE__FLOATING

static final int CHANGE__FLOATING
The feature id for the 'Floating' attribute.

See Also:
  - Constant Field Values
Generated
Ordered

### CHANGE__CLOSED

static final int CHANGE__CLOSED
The feature id for the 'Closed' attribute.

See Also:
  - Constant Field Values
Generated
Ordered

### CHANGE__BASE

static final int CHANGE__BASE
The feature id for the 'Base' reference.

See Also:
  - Constant Field Values
Generated
Ordered

### CHANGE__LABEL

static final int CHANGE__LABEL
The feature id for the 'Label' attribute.

See Also:
  - Constant Field Values
Generated
Ordered

### CHANGE__IMPACT

static final int CHANGE__IMPACT
The feature id for the 'Impact' attribute.

See Also:
  - Constant Field Values
Generated
Ordered

### CHANGE__BRANCH

static final int CHANGE__BRANCH
The feature id for the 'Branch' attribute.

See Also:
  - Constant Field Values
Generated
Ordered

### CHANGE__DELIVERIES

static final int CHANGE__DELIVERIES
The feature id for the 'Deliveries' reference list.

See Also:
  - Constant Field Values
Generated
Ordered

### CHANGE_FEATURE_COUNT

static final int CHANGE_FEATURE_COUNT
The number of structural features of the 'Change' class.

See Also:
  - Constant Field Values
Generated
Ordered

### CHANGE___GET_ANNOTATION__STRING

static final int CHANGE___GET_ANNOTATION__STRING
The operation id for the 'Get Annotation' operation.

See Also:
  - Constant Field Values
Generated
Ordered

### CHANGE___GET_SYSTEM

static final int CHANGE___GET_SYSTEM
The operation id for the 'Get System' operation.

See Also:
  - Constant Field Values
Generated
Ordered

### CHANGE___GET_MODULE

static final int CHANGE___GET_MODULE
The operation id for the 'Get Module' operation.

See Also:
  - Constant Field Values
Generated
Ordered

### CHANGE___GET_STREAM

static final int CHANGE___GET_STREAM
The operation id for the 'Get Stream' operation.

See Also:
  - Constant Field Values
Generated
Ordered

### CHANGE___GET_NAME

static final int CHANGE___GET_NAME
The operation id for the 'Get Name' operation.

See Also:
  - Constant Field Values
Generated
Ordered

### CHANGE___GET_BRANCH_POINT

static final int CHANGE___GET_BRANCH_POINT
The operation id for the 'Get Branch Point' operation.

See Also:
  - Constant Field Values
Generated
Ordered

### CHANGE___GET_BASE_TIME_STAMP

static final int CHANGE___GET_BASE_TIME_STAMP
The operation id for the 'Get Base Time Stamp' operation.

See Also:
  - Constant Field Values
Generated
Ordered

### CHANGE___GET_BASE

static final int CHANGE___GET_BASE
The operation id for the 'Get Base' operation.

See Also:
  - Constant Field Values
Generated
Ordered

### CHANGE___GET_DELIVERIES

static final int CHANGE___GET_DELIVERIES
The operation id for the 'Get Deliveries' operation.

See Also:
  - Constant Field Values
Generated
Ordered

### CHANGE___GET_BRANCH

static final int CHANGE___GET_BRANCH
The operation id for the 'Get Branch' operation.

See Also:
  - Constant Field Values
Generated
Ordered

### CHANGE_OPERATION_COUNT

static final int CHANGE_OPERATION_COUNT
The number of operations of the 'Change' class.

See Also:
  - Constant Field Values
Generated
Ordered

### DELIVERY__ANNOTATIONS

static final int DELIVERY__ANNOTATIONS
The feature id for the 'Annotations' containment reference list.

See Also:
  - Constant Field Values
Generated
Ordered

### DELIVERY__STREAM

static final int DELIVERY__STREAM
The feature id for the 'Stream' container reference.

See Also:
  - Constant Field Values
Generated
Ordered

### DELIVERY__FLOATING

static final int DELIVERY__FLOATING
The feature id for the 'Floating' attribute.

See Also:
  - Constant Field Values
Generated
Ordered

### DELIVERY__VERSION

static final int DELIVERY__VERSION
The feature id for the 'Version' attribute.

See Also:
  - Constant Field Values
Generated
Ordered

### DELIVERY__DEPENDENCIES

static final int DELIVERY__DEPENDENCIES
The feature id for the 'Dependencies' containment reference list.

See Also:
  - Constant Field Values
Generated
Ordered

### DELIVERY__CHANGE

static final int DELIVERY__CHANGE
The feature id for the 'Change' reference.

See Also:
  - Constant Field Values
Generated
Ordered

### DELIVERY__MERGE_SOURCE

static final int DELIVERY__MERGE_SOURCE
The feature id for the 'Merge Source' attribute.

See Also:
  - Constant Field Values
Generated
Ordered

### DELIVERY__MERGE_TARGET

static final int DELIVERY__MERGE_TARGET
The feature id for the 'Merge Target' attribute.

See Also:
  - Constant Field Values
Generated
Ordered

### DELIVERY_FEATURE_COUNT

static final int DELIVERY_FEATURE_COUNT
The number of structural features of the 'Delivery' class.

See Also:
  - Constant Field Values
Generated
Ordered

### DELIVERY___GET_ANNOTATION__STRING

static final int DELIVERY___GET_ANNOTATION__STRING
The operation id for the 'Get Annotation' operation.

See Also:
  - Constant Field Values
Generated
Ordered

### DELIVERY___GET_SYSTEM

static final int DELIVERY___GET_SYSTEM
The operation id for the 'Get System' operation.

See Also:
  - Constant Field Values
Generated
Ordered

### DELIVERY___GET_MODULE

static final int DELIVERY___GET_MODULE
The operation id for the 'Get Module' operation.

See Also:
  - Constant Field Values
Generated
Ordered

### DELIVERY___GET_STREAM

static final int DELIVERY___GET_STREAM
The operation id for the 'Get Stream' operation.

See Also:
  - Constant Field Values
Generated
Ordered

### DELIVERY___GET_NAME

static final int DELIVERY___GET_NAME
The operation id for the 'Get Name' operation.

See Also:
  - Constant Field Values
Generated
Ordered

### DELIVERY___GET_BRANCH_POINT

static final int DELIVERY___GET_BRANCH_POINT
The operation id for the 'Get Branch Point' operation.

See Also:
  - Constant Field Values
Generated
Ordered

### DELIVERY___GET_BASE_TIME_STAMP

static final int DELIVERY___GET_BASE_TIME_STAMP
The operation id for the 'Get Base Time Stamp' operation.

See Also:
  - Constant Field Values
Generated
Ordered

### DELIVERY___GET_BASED_CHANGES

static final int DELIVERY___GET_BASED_CHANGES
The operation id for the 'Get Based Changes' operation.

See Also:
  - Constant Field Values
Generated
Ordered

### DELIVERY_OPERATION_COUNT

static final int DELIVERY_OPERATION_COUNT
The number of operations of the 'Delivery' class.

See Also:
  - Constant Field Values
Generated
Ordered

### DROP__ANNOTATIONS

static final int DROP__ANNOTATIONS
The feature id for the 'Annotations' containment reference list.

See Also:
  - Constant Field Values
Generated
Ordered

### DROP__STREAM

static final int DROP__STREAM
The feature id for the 'Stream' container reference.

See Also:
  - Constant Field Values
Generated
Ordered

### DROP__FLOATING

static final int DROP__FLOATING
The feature id for the 'Floating' attribute.

See Also:
  - Constant Field Values
Generated
Ordered

### DROP__VERSION

static final int DROP__VERSION
The feature id for the 'Version' attribute.

See Also:
  - Constant Field Values
Generated
Ordered

### DROP__DEPENDENCIES

static final int DROP__DEPENDENCIES
The feature id for the 'Dependencies' containment reference list.

See Also:
  - Constant Field Values
Generated
Ordered

### DROP__TYPE

static final int DROP__TYPE
The feature id for the 'Type' reference.

See Also:
  - Constant Field Values
Generated
Ordered

### DROP__LABEL

static final int DROP__LABEL
The feature id for the 'Label' attribute.

See Also:
  - Constant Field Values
Generated
Ordered

### DROP__BRANCH_POINT

static final int DROP__BRANCH_POINT
The feature id for the 'Branch Point' attribute.

See Also:
  - Constant Field Values
Generated
Ordered

### DROP_FEATURE_COUNT

static final int DROP_FEATURE_COUNT
The number of structural features of the 'Drop' class.

See Also:
  - Constant Field Values
Generated
Ordered

### DROP___GET_ANNOTATION__STRING

static final int DROP___GET_ANNOTATION__STRING
The operation id for the 'Get Annotation' operation.

See Also:
  - Constant Field Values
Generated
Ordered

### DROP___GET_SYSTEM

static final int DROP___GET_SYSTEM
The operation id for the 'Get System' operation.

See Also:
  - Constant Field Values
Generated
Ordered

### DROP___GET_MODULE

static final int DROP___GET_MODULE
The operation id for the 'Get Module' operation.

See Also:
  - Constant Field Values
Generated
Ordered

### DROP___GET_STREAM

static final int DROP___GET_STREAM
The operation id for the 'Get Stream' operation.

See Also:
  - Constant Field Values
Generated
Ordered

### DROP___GET_NAME

static final int DROP___GET_NAME
The operation id for the 'Get Name' operation.

See Also:
  - Constant Field Values
Generated
Ordered

### DROP___GET_BRANCH_POINT

static final int DROP___GET_BRANCH_POINT
The operation id for the 'Get Branch Point' operation.

See Also:
  - Constant Field Values
Generated
Ordered

### DROP___GET_BASE_TIME_STAMP

static final int DROP___GET_BASE_TIME_STAMP
The operation id for the 'Get Base Time Stamp' operation.

See Also:
  - Constant Field Values
Generated
Ordered

### DROP___GET_BASED_CHANGES

static final int DROP___GET_BASED_CHANGES
The operation id for the 'Get Based Changes' operation.

See Also:
  - Constant Field Values
Generated
Ordered

### DROP___IS_RELEASE

static final int DROP___IS_RELEASE
The operation id for the 'Is Release' operation.

See Also:
  - Constant Field Values
Generated
Ordered

### DROP___GET_BASED_STREAMS

static final int DROP___GET_BASED_STREAMS
The operation id for the 'Get Based Streams' operation.

See Also:
  - Constant Field Values
Generated
Ordered

### DROP_OPERATION_COUNT

static final int DROP_OPERATION_COUNT
The number of operations of the 'Drop' class.

See Also:
  - Constant Field Values
Generated
Ordered

### DEPENDENCY__ANNOTATIONS

static final int DEPENDENCY__ANNOTATIONS
The feature id for the 'Annotations' containment reference list.

See Also:
  - Constant Field Values
Generated
Ordered

### DEPENDENCY__TARGET

static final int DEPENDENCY__TARGET
The feature id for the 'Target' reference.

See Also:
  - Constant Field Values
Generated
Ordered

### DEPENDENCY__VERSION_RANGE

static final int DEPENDENCY__VERSION_RANGE
The feature id for the 'Version Range' attribute.

See Also:
  - Constant Field Values
Generated
Ordered

### DEPENDENCY_FEATURE_COUNT

static final int DEPENDENCY_FEATURE_COUNT
The number of structural features of the 'Dependency' class.

See Also:
  - Constant Field Values
Generated
Ordered

### DEPENDENCY___GET_ANNOTATION__STRING

static final int DEPENDENCY___GET_ANNOTATION__STRING
The operation id for the 'Get Annotation' operation.

See Also:
  - Constant Field Values
Generated
Ordered

### DEPENDENCY___GET_SYSTEM

static final int DEPENDENCY___GET_SYSTEM
The operation id for the 'Get System' operation.

See Also:
  - Constant Field Values
Generated
Ordered

### DEPENDENCY___GET_MODULE

static final int DEPENDENCY___GET_MODULE
The operation id for the 'Get Module' operation.

See Also:
  - Constant Field Values
Generated
Ordered

### DEPENDENCY___GET_STREAM

static final int DEPENDENCY___GET_STREAM
The operation id for the 'Get Stream' operation.

See Also:
  - Constant Field Values
Generated
Ordered

### DEPENDENCY_OPERATION_COUNT

static final int DEPENDENCY_OPERATION_COUNT
The number of operations of the 'Dependency' class.

See Also:
  - Constant Field Values
Generated
Ordered

### IMPACT

static final int IMPACT
The meta object id for the '`Impact`' enum.

See Also:
  - `Impact`
  - `LMPackageImpl.getImpact()`
  - Constant Field Values
Generated

### STREAM_MODE

static final int STREAM_MODE
The meta object id for the '`Stream Mode`' enum.

See Also:
  - `StreamMode`
  - `LMPackageImpl.getStreamMode()`
  - Constant Field Values
Generated

### BASE_POINT

static final int BASE_POINT
The meta object id for the 'Base Point' data type.

See Also:
  - `BasePoint`
  - `LMPackageImpl.getBasePoint()`
  - Constant Field Values
Generated

## Method Details

### getSystemElement

EClass getSystemElement()
Returns the meta object for class '`System Element`'.

Returns:
  the meta object for class 'System Element'.
See Also:
  - `SystemElement`
Generated

### getSystemElement__GetSystem

EOperation getSystemElement__GetSystem()
Returns the meta object for the '`Get System`' operation.

Returns:
  the meta object for the 'Get System' operation.
See Also:
  - `SystemElement.getSystem()`
Generated

### getProcessElement

EClass getProcessElement()
Returns the meta object for class '`Process Element`'.

Returns:
  the meta object for class 'Process Element'.
See Also:
  - `ProcessElement`
Generated

### getProcessElement__GetProcess

EOperation getProcessElement__GetProcess()
Returns the meta object for the '`Get Process`' operation.

Returns:
  the meta object for the 'Get Process' operation.
See Also:
  - `ProcessElement.getProcess()`
Generated

### getModuleElement

EClass getModuleElement()
Returns the meta object for class '`Module Element`'.

Returns:
  the meta object for class 'Module Element'.
See Also:
  - `ModuleElement`
Generated

### getModuleElement__GetModule

EOperation getModuleElement__GetModule()
Returns the meta object for the '`Get Module`' operation.

Returns:
  the meta object for the 'Get Module' operation.
See Also:
  - `ModuleElement.getModule()`
Generated

### getStreamElement

EClass getStreamElement()
Returns the meta object for class '`Stream Element`'.

Returns:
  the meta object for class 'Stream Element'.
See Also:
  - `StreamElement`
Generated

### getStreamElement__GetStream

EOperation getStreamElement__GetStream()
Returns the meta object for the '`Get Stream`' operation.

Returns:
  the meta object for the 'Get Stream' operation.
See Also:
  - `StreamElement.getStream()`
Generated

### getSystem

EClass getSystem()
Returns the meta object for class '`System`'.

Returns:
  the meta object for class 'System'.
See Also:
  - `System`
Generated

### getSystem_Name

EAttribute getSystem_Name()
Returns the meta object for the attribute '`Name`'.

Returns:
  the meta object for the attribute 'Name'.
See Also:
  - `System.getName()`
  - `getSystem()`
Generated

### getSystem_Process

EReference getSystem_Process()
Returns the meta object for the containment reference '`Process`'.

Returns:
  the meta object for the containment reference 'Process'.
See Also:
  - `System.getProcess()`
  - `getSystem()`
Generated

### getSystem_Modules

EReference getSystem_Modules()
Returns the meta object for the containment reference list '`Modules`'.

Returns:
  the meta object for the containment reference list 'Modules'.
See Also:
  - `System.getModules()`
  - `getSystem()`
Generated

### getSystem__GetModule__String

EOperation getSystem__GetModule__String()
Returns the meta object for the '`Get Module`' operation.

Returns:
  the meta object for the 'Get Module' operation.
See Also:
  - `System.getModule(java.lang.String)`
Generated

### getProcess

EClass getProcess()
Returns the meta object for class '`Process`'.

Returns:
  the meta object for class 'Process'.
See Also:
  - `Process`
Generated

### getProcess_System

EReference getProcess_System()
Returns the meta object for the container reference '`System`'.

Returns:
  the meta object for the container reference 'System'.
See Also:
  - `Process.getSystem()`
  - `getProcess()`
Generated

### getProcess_DropTypes

EReference getProcess_DropTypes()
Returns the meta object for the containment reference list '`Drop Types`'.

Returns:
  the meta object for the containment reference list 'Drop Types'.
See Also:
  - `Process.getDropTypes()`
  - `getProcess()`
Generated

### getProcess_ModuleDefinitionPath

EAttribute getProcess_ModuleDefinitionPath()
Returns the meta object for the attribute '`Module Definition Path`'.

Returns:
  the meta object for the attribute 'Module Definition Path'.
See Also:
  - `Process.getModuleDefinitionPath()`
  - `getProcess()`
Generated

### getProcess_InitialModuleVersion

EAttribute getProcess_InitialModuleVersion()
Returns the meta object for the attribute '`Initial Module Version`'.

Returns:
  the meta object for the attribute 'Initial Module Version'.
See Also:
  - `Process.getInitialModuleVersion()`
  - `getProcess()`
Generated

### getProcess_ModuleTypes

EReference getProcess_ModuleTypes()
Returns the meta object for the containment reference list '`Module Types`'.

Returns:
  the meta object for the containment reference list 'Module Types'.
See Also:
  - `Process.getModuleTypes()`
  - `getProcess()`
Generated

### getDropType

EClass getDropType()
Returns the meta object for class '`Drop Type`'.

Returns:
  the meta object for class 'Drop Type'.
See Also:
  - `DropType`
Generated

### getDropType_Process

EReference getDropType_Process()
Returns the meta object for the container reference '`Process`'.

Returns:
  the meta object for the container reference 'Process'.
See Also:
  - `DropType.getProcess()`
  - `getDropType()`
Generated

### getDropType_Name

EAttribute getDropType_Name()
Returns the meta object for the attribute '`Name`'.

Returns:
  the meta object for the attribute 'Name'.
See Also:
  - `DropType.getName()`
  - `getDropType()`
Generated

### getDropType_Release

EAttribute getDropType_Release()
Returns the meta object for the attribute '`Release`'.

Returns:
  the meta object for the attribute 'Release'.
See Also:
  - `DropType.isRelease()`
  - `getDropType()`
Generated

### getModule

EClass getModule()
Returns the meta object for class '`Module`'.

Returns:
  the meta object for class 'Module'.
See Also:
  - `Module`
Generated

### getModule_System

EReference getModule_System()
Returns the meta object for the container reference '`System`'.

Returns:
  the meta object for the container reference 'System'.
See Also:
  - `Module.getSystem()`
  - `getModule()`
Generated

### getModule_Name

EAttribute getModule_Name()
Returns the meta object for the attribute '`Name`'.

Returns:
  the meta object for the attribute 'Name'.
See Also:
  - `Module.getName()`
  - `getModule()`
Generated

### getModule_Type

EReference getModule_Type()
Returns the meta object for the reference '`Type`'.

Returns:
  the meta object for the reference 'Type'.
See Also:
  - `Module.getType()`
  - `getModule()`
Generated

### getModule_Streams

EReference getModule_Streams()
Returns the meta object for the containment reference list '`Streams`'.

Returns:
  the meta object for the containment reference list 'Streams'.
See Also:
  - `Module.getStreams()`
  - `getModule()`
Generated

### getDependency

EClass getDependency()
Returns the meta object for class '`Dependency`'.

Returns:
  the meta object for class 'Dependency'.
See Also:
  - `Dependency`
Generated

### getDependency_Target

EReference getDependency_Target()
Returns the meta object for the reference '`Target`'.

Returns:
  the meta object for the reference 'Target'.
See Also:
  - `Dependency.getTarget()`
  - `getDependency()`
Generated

### getDependency_VersionRange

EAttribute getDependency_VersionRange()
Returns the meta object for the attribute '`Version Range`'.

Returns:
  the meta object for the attribute 'Version Range'.
See Also:
  - `Dependency.getVersionRange()`
  - `getDependency()`
Generated

### getModuleType

EClass getModuleType()
Returns the meta object for class '`Module Type`'.

Returns:
  the meta object for class 'Module Type'.
See Also:
  - `ModuleType`
Generated

### getModuleType_Process

EReference getModuleType_Process()
Returns the meta object for the container reference '`Process`'.

Returns:
  the meta object for the container reference 'Process'.
See Also:
  - `ModuleType.getProcess()`
  - `getModuleType()`
Generated

### getModuleType_Name

EAttribute getModuleType_Name()
Returns the meta object for the attribute '`Name`'.

Returns:
  the meta object for the attribute 'Name'.
See Also:
  - `ModuleType.getName()`
  - `getModuleType()`
Generated

### getBaseline

EClass getBaseline()
Returns the meta object for class '`Baseline`'.

Returns:
  the meta object for class 'Baseline'.
See Also:
  - `Baseline`
Generated

### getBaseline_Stream

EReference getBaseline_Stream()
Returns the meta object for the container reference '`Stream`'.

Returns:
  the meta object for the container reference 'Stream'.
See Also:
  - `Baseline.getStream()`
  - `getBaseline()`
Generated

### getBaseline_Floating

EAttribute getBaseline_Floating()
Returns the meta object for the attribute '`Floating`'.

Returns:
  the meta object for the attribute 'Floating'.
See Also:
  - `Baseline.isFloating()`
  - `getBaseline()`
Generated

### getBaseline__GetName

EOperation getBaseline__GetName()
Returns the meta object for the '`Get Name`' operation.

Returns:
  the meta object for the 'Get Name' operation.
See Also:
  - `Baseline.getName()`
Generated

### getBaseline__GetBranchPoint

EOperation getBaseline__GetBranchPoint()
Returns the meta object for the '`Get Branch Point`' operation.

Returns:
  the meta object for the 'Get Branch Point' operation.
See Also:
  - `Baseline.getBranchPoint()`
Generated

### getBaseline__GetBaseTimeStamp

EOperation getBaseline__GetBaseTimeStamp()
Returns the meta object for the '`Get Base Time Stamp`' operation.

Returns:
  the meta object for the 'Get Base Time Stamp' operation.
See Also:
  - `Baseline.getBaseTimeStamp()`
Generated

### getFloatingBaseline

EClass getFloatingBaseline()
Returns the meta object for class '`Floating Baseline`'.

Returns:
  the meta object for class 'Floating Baseline'.
See Also:
  - `FloatingBaseline`
Generated

### getFloatingBaseline_Closed

EAttribute getFloatingBaseline_Closed()
Returns the meta object for the attribute '`Closed`'.

Returns:
  the meta object for the attribute 'Closed'.
See Also:
  - `FloatingBaseline.isClosed()`
  - `getFloatingBaseline()`
Generated

### getFloatingBaseline__GetBase

EOperation getFloatingBaseline__GetBase()
Returns the meta object for the '`Get Base`' operation.

Returns:
  the meta object for the 'Get Base' operation.
See Also:
  - `FloatingBaseline.getBase()`
Generated

### getFloatingBaseline__GetDeliveries

EOperation getFloatingBaseline__GetDeliveries()
Returns the meta object for the '`Get Deliveries`' operation.

Returns:
  the meta object for the 'Get Deliveries' operation.
See Also:
  - `FloatingBaseline.getDeliveries()`
Generated

### getFloatingBaseline__GetBranch

EOperation getFloatingBaseline__GetBranch()
Returns the meta object for the '`Get Branch`' operation.

Returns:
  the meta object for the 'Get Branch' operation.
See Also:
  - `FloatingBaseline.getBranch()`
Generated

### getFixedBaseline

EClass getFixedBaseline()
Returns the meta object for class '`Fixed Baseline`'.

Returns:
  the meta object for class 'Fixed Baseline'.
See Also:
  - `FixedBaseline`
Generated

### getFixedBaseline_Version

EAttribute getFixedBaseline_Version()
Returns the meta object for the attribute '`Version`'.

Returns:
  the meta object for the attribute 'Version'.
See Also:
  - `FixedBaseline.getVersion()`
  - `getFixedBaseline()`
Generated

### getFixedBaseline_Dependencies

EReference getFixedBaseline_Dependencies()
Returns the meta object for the containment reference list '`Dependencies`'.

Returns:
  the meta object for the containment reference list 'Dependencies'.
See Also:
  - `FixedBaseline.getDependencies()`
  - `getFixedBaseline()`
Generated

### getFixedBaseline__GetBasedChanges

EOperation getFixedBaseline__GetBasedChanges()
Returns the meta object for the '`Get Based Changes`' operation.

Returns:
  the meta object for the 'Get Based Changes' operation.
See Also:
  - `FixedBaseline.getBasedChanges()`
Generated

### getStream

EClass getStream()
Returns the meta object for class '`Stream`'.

Returns:
  the meta object for class 'Stream'.
See Also:
  - `Stream`
Generated

### getStream_Module

EReference getStream_Module()
Returns the meta object for the container reference '`Module`'.

Returns:
  the meta object for the container reference 'Module'.
See Also:
  - `Stream.getModule()`
  - `getStream()`
Generated

### getStream_Base

EReference getStream_Base()
Returns the meta object for the reference '`Base`'.

Returns:
  the meta object for the reference 'Base'.
See Also:
  - `Stream.getBase()`
  - `getStream()`
Generated

### getStream_StartTimeStamp

EAttribute getStream_StartTimeStamp()
Returns the meta object for the attribute '`Start Time Stamp`'.

Returns:
  the meta object for the attribute 'Start Time Stamp'.
See Also:
  - `Stream.getStartTimeStamp()`
  - `getStream()`
Generated

### getStream_MajorVersion

EAttribute getStream_MajorVersion()
Returns the meta object for the attribute '`Major Version`'.

Returns:
  the meta object for the attribute 'Major Version'.
See Also:
  - `Stream.getMajorVersion()`
  - `getStream()`
Generated

### getStream_MinorVersion

EAttribute getStream_MinorVersion()
Returns the meta object for the attribute '`Minor Version`'.

Returns:
  the meta object for the attribute 'Minor Version'.
See Also:
  - `Stream.getMinorVersion()`
  - `getStream()`
Generated

### getStream_CodeName

EAttribute getStream_CodeName()
Returns the meta object for the attribute '`Code Name`'.

Returns:
  the meta object for the attribute 'Code Name'.
See Also:
  - `Stream.getCodeName()`
  - `getStream()`
Generated

### getStream_AllowedChanges

EAttribute getStream_AllowedChanges()
Returns the meta object for the attribute '`Allowed Changes`'.

Returns:
  the meta object for the attribute 'Allowed Changes'.
See Also:
  - `Stream.getAllowedChanges()`
  - `getStream()`
Generated

### getStream_Contents

EReference getStream_Contents()
Returns the meta object for the containment reference list '`Contents`'.

Returns:
  the meta object for the containment reference list 'Contents'.
See Also:
  - `Stream.getContents()`
  - `getStream()`
Generated

### getStream_MaintenanceTimeStamp

EAttribute getStream_MaintenanceTimeStamp()
Returns the meta object for the attribute '`Maintenance Time Stamp`'.

Returns:
  the meta object for the attribute 'Maintenance Time Stamp'.
See Also:
  - `Stream.getMaintenanceTimeStamp()`
  - `getStream()`
Generated

### getStream__InsertContent__Baseline

EOperation getStream__InsertContent__Baseline()
Returns the meta object for the '`Insert Content`' operation.

Returns:
  the meta object for the 'Insert Content' operation.
See Also:
  - `Stream.insertContent(org.eclipse.emf.cdo.lm.Baseline)`
Generated

### getStream__GetBranchPoint__long

EOperation getStream__GetBranchPoint__long()
Returns the meta object for the '`Get Branch Point`' operation.

Returns:
  the meta object for the 'Get Branch Point' operation.
See Also:
  - `Stream.getBranchPoint(long)`
Generated

### getStream_Mode

EAttribute getStream_Mode()
Returns the meta object for the attribute '`Mode`'.

Returns:
  the meta object for the attribute 'Mode'.
See Also:
  - `Stream.getMode()`
  - `getStream()`
Generated

### getStream_DevelopmentBranch

EAttribute getStream_DevelopmentBranch()
Returns the meta object for the attribute '`Development Branch`'.

Returns:
  the meta object for the attribute 'Development Branch'.
See Also:
  - `Stream.getDevelopmentBranch()`
  - `getStream()`
Generated

### getStream_MaintenanceBranch

EAttribute getStream_MaintenanceBranch()
Returns the meta object for the attribute '`Maintenance Branch`'.

Returns:
  the meta object for the attribute 'Maintenance Branch'.
See Also:
  - `Stream.getMaintenanceBranch()`
  - `getStream()`
Generated

### getStream__GetFirstRelease

EOperation getStream__GetFirstRelease()
Returns the meta object for the '`Get First Release`' operation.

Returns:
  the meta object for the 'Get First Release' operation.
See Also:
  - `Stream.getFirstRelease()`
Generated

### getStream__GetLastRelease

EOperation getStream__GetLastRelease()
Returns the meta object for the '`Get Last Release`' operation.

Returns:
  the meta object for the 'Get Last Release' operation.
See Also:
  - `Stream.getLastRelease()`
Generated

### getStream__GetReleases

EOperation getStream__GetReleases()
Returns the meta object for the '`Get Releases`' operation.

Returns:
  the meta object for the 'Get Releases' operation.
See Also:
  - `Stream.getReleases()`
Generated

### getStream__GetBasedChanges

EOperation getStream__GetBasedChanges()
Returns the meta object for the '`Get Based Changes`' operation.

Returns:
  the meta object for the 'Get Based Changes' operation.
See Also:
  - `Stream.getBasedChanges()`
Generated

### getChange

EClass getChange()
Returns the meta object for class '`Change`'.

Returns:
  the meta object for class 'Change'.
See Also:
  - `Change`
Generated

### getChange_Base

EReference getChange_Base()
Returns the meta object for the reference '`Base`'.

Returns:
  the meta object for the reference 'Base'.
See Also:
  - `Change.getBase()`
  - `getChange()`
Generated

### getChange_Label

EAttribute getChange_Label()
Returns the meta object for the attribute '`Label`'.

Returns:
  the meta object for the attribute 'Label'.
See Also:
  - `Change.getLabel()`
  - `getChange()`
Generated

### getChange_Impact

EAttribute getChange_Impact()
Returns the meta object for the attribute '`Impact`'.

Returns:
  the meta object for the attribute 'Impact'.
See Also:
  - `Change.getImpact()`
  - `getChange()`
Generated

### getChange_Branch

EAttribute getChange_Branch()
Returns the meta object for the attribute '`Branch`'.

Returns:
  the meta object for the attribute 'Branch'.
See Also:
  - `Change.getBranch()`
  - `getChange()`
Generated

### getChange_Deliveries

EReference getChange_Deliveries()
Returns the meta object for the reference list '`Deliveries`'.

Returns:
  the meta object for the reference list 'Deliveries'.
See Also:
  - `Change.getDeliveries()`
  - `getChange()`
Generated

### getDelivery

EClass getDelivery()
Returns the meta object for class '`Delivery`'.

Returns:
  the meta object for class 'Delivery'.
See Also:
  - `Delivery`
Generated

### getDelivery_Change

EReference getDelivery_Change()
Returns the meta object for the reference '`Change`'.

Returns:
  the meta object for the reference 'Change'.
See Also:
  - `Delivery.getChange()`
  - `getDelivery()`
Generated

### getDelivery_MergeSource

EAttribute getDelivery_MergeSource()
Returns the meta object for the attribute '`Merge Source`'.

Returns:
  the meta object for the attribute 'Merge Source'.
See Also:
  - `Delivery.getMergeSource()`
  - `getDelivery()`
Generated

### getDelivery_MergeTarget

EAttribute getDelivery_MergeTarget()
Returns the meta object for the attribute '`Merge Target`'.

Returns:
  the meta object for the attribute 'Merge Target'.
See Also:
  - `Delivery.getMergeTarget()`
  - `getDelivery()`
Generated

### getDrop

EClass getDrop()
Returns the meta object for class '`Drop`'.

Returns:
  the meta object for class 'Drop'.
See Also:
  - `Drop`
Generated

### getDrop_Type

EReference getDrop_Type()
Returns the meta object for the reference '`Type`'.

Returns:
  the meta object for the reference 'Type'.
See Also:
  - `Drop.getType()`
  - `getDrop()`
Generated

### getDrop_Label

EAttribute getDrop_Label()
Returns the meta object for the attribute '`Label`'.

Returns:
  the meta object for the attribute 'Label'.
See Also:
  - `Drop.getLabel()`
  - `getDrop()`
Generated

### getDrop_BranchPoint

EAttribute getDrop_BranchPoint()
Returns the meta object for the attribute '`Branch Point`'.

Returns:
  the meta object for the attribute 'Branch Point'.
See Also:
  - `Drop.getBranchPoint()`
  - `getDrop()`
Generated

### getDrop__IsRelease

EOperation getDrop__IsRelease()
Returns the meta object for the '`Is Release`' operation.

Returns:
  the meta object for the 'Is Release' operation.
See Also:
  - `Drop.isRelease()`
Generated

### getDrop__GetBasedStreams

EOperation getDrop__GetBasedStreams()
Returns the meta object for the '`Get Based Streams`' operation.

Returns:
  the meta object for the 'Get Based Streams' operation.
See Also:
  - `Drop.getBasedStreams()`
Generated

### getImpact

EEnum getImpact()
Returns the meta object for enum '`Impact`'.

Returns:
  the meta object for enum 'Impact'.
See Also:
  - `Impact`
Generated

### getStreamMode

EEnum getStreamMode()
Returns the meta object for enum '`Stream Mode`'.

Returns:
  the meta object for enum 'Stream Mode'.
See Also:
  - `StreamMode`
Generated

### getBasePoint

EDataType getBasePoint()
Returns the meta object for data type '`Base Point`'.

Returns:
  the meta object for data type 'Base Point'.
See Also:
  - `BasePoint`
Generated
Model
  instanceClass="org.eclipse.emf.cdo.lm.BasePoint" serializeable="false"

### getLMFactory

LMFactory getLMFactory()
Returns the factory that creates the instances of the model.

Returns:
  the factory that creates the instances of the model.
Generated